;;  Horn Clause Representation of Wandamen Kinship Term-of-Reference Rules

;;  The following 'header' gives some basic parameters of this kinship system:
(languageName, "Wandamen") (author, "Rachel Flaming") (date, "1983-01-01") (citation, "Rachel Flaming in GODS, HEROES, KINSMEN pp. 245-253") 
(non_term, [aux], brother, children, half_brother, half_sister, parents, sibling, siblings, sister, spice, step_brother, step_daughter, step_father, step_mother, step_sister, step_son) (partial, false) (polygamyOK, true) (address, false) (recursiveLevels, 2)
(overlaps, (ama, (neviniavi)), (dero, (neviniavi, rewa)), (netakatu, (netavava)), (netavava, (netakatu)), (neviniavi, (ama, dero, nio, sovosi, tama, tapu)), (nio, (neviniavi, rewa)), (rewa, (dero, nio, sinia, sovosi, sumo, tapu)), (sinia, (rewa)), (sovosi, (neviniavi, rewa)), (sumo, (rewa)), (tama, (neviniavi)), (tapu, (neviniavi, rewa)))


;;  Kin Term Definitions:
;;	(Standard Macros are automatically incorporated.)

aiteta(Alter, Ego) :-  husband(A, Ego), husband(A, Alter), not(equal(Ego, Alter)).
{"HuWi"}
;; 0
%aiteta:0%
 Lvl=0,  PC=0, S=2, Star=0,  {HuWi}  
 husband(A, Ego), husband(A, Alter), not(equal(Ego, Alter)).


ama(Alter, Ego) :-  mother(A, Ego), sibling(Alter, A), male(Alter).
                |  [ext],  mother(A, Ego), generation[aux]53small(Alter, A), male(Alter).
                |  [ext],  father(A, Ego), generation[aux]53small(B, A), husband(Alter, B).
{"FaFaBroDaHu_FaFaSisDaHu_FaMoBroDaHu_FaMoSisDaHu_FaSisHu_MoBro_MoFaBroSo_MoFaSisSo_MoMoBroSo_MoMoSisSo"}
;; 0
%ama:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoBro}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 1
%ama:1, generation[aux]53small:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 2
%ama:1, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoBroSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter).
;; 3
%ama:1, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoSisSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter).
;; 4
%ama:1, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaBroSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter).
;; 5
%ama:1, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaSisSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter).
;; 6
%ama:2, generation[aux]53small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaSisHu}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), husband(Alter, D).
;; 7
%ama:2, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoBroDaHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Alter, F).
;; 8
%ama:2, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisDaHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Alter, F).
;; 9
%ama:2, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroDaHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Alter, F).
;; 10
%ama:2, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaSisDaHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Alter, F).


ano(Alter, Ego) :-  ama(Ego, Alter), male(Alter).
                |   ama(Ego, Alter), female(Alter).
                |   sumo(Ego, Alter), male(Alter).
                |   sumo(Ego, Alter), female(Alter).
{"BroDa_BroSo_FaBroDaDa_FaBroDaSo_FaBroSoDa_FaBroSoSo_FaSisDaDa_FaSisDaSo_FaSisSoDa_FaSisSoSo_HuFaBroDaDa_HuFaBroDaSo_HuFaSisDaDa_HuFaSisDaSo_HuMoBroDaDa_HuMoBroDaSo_HuMoSisDaDa_HuMoSisDaSo_HuSisDa_HuSisSo_MoBroDaDa_MoBroDaSo_MoBroSoDa_MoBroSoSo_MoSisDaDa_MoSisDaSo_MoSisSoDa_MoSisSoSo_SisDa_SisSo_WiBroDa_WiBroSo_WiFaBroSoDa_WiFaBroSoSo_WiFaSisSoDa_WiFaSisSoSo_WiMoBroSoDa_WiMoBroSoSo_WiMoSisSoDa_WiMoSisSoSo"}
;; 0
%ano:0, ama:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisSo}  
 mother(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), male(Ego), male(Alter).
;; 1
%ano:0, ama:1, generation[aux]53small:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), male(Ego), male(Alter).
;; 2
%ano:0, ama:1, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), male(Ego), male(Alter).
;; 3
%ano:0, ama:1, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), male(Ego), male(Alter).
;; 4
%ano:0, ama:1, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), male(Ego), male(Alter).
;; 5
%ano:0, ama:1, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), male(Ego), male(Alter).
;; 6
%ano:0, ama:2, generation[aux]53small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroSo}  
[ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), husband(Ego, D), male(Alter).
;; 7
%ano:0, ama:2, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Ego, F), male(Alter).
;; 8
%ano:0, ama:2, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Ego, F), male(Alter).
;; 9
%ano:0, ama:2, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Ego, F), male(Alter).
;; 10
%ano:0, ama:2, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Ego, F), male(Alter).
;; 11
%ano:1, ama:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisDa}  
 mother(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), male(Ego), female(Alter).
;; 12
%ano:1, ama:1, generation[aux]53small:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), male(Ego), female(Alter).
;; 13
%ano:1, ama:1, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), male(Ego), female(Alter).
;; 14
%ano:1, ama:1, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), male(Ego), female(Alter).
;; 15
%ano:1, ama:1, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), male(Ego), female(Alter).
;; 16
%ano:1, ama:1, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), male(Ego), female(Alter).
;; 17
%ano:1, ama:2, generation[aux]53small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroDa}  
[ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), husband(Ego, D), female(Alter).
;; 18
%ano:1, ama:2, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Ego, F), female(Alter).
;; 19
%ano:1, ama:2, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Ego, F), female(Alter).
;; 20
%ano:1, ama:2, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Ego, F), female(Alter).
;; 21
%ano:1, ama:2, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Ego, F), female(Alter).
;; 22
%ano:2, sumo:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroSo}  
 father(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), female(Ego), male(Alter).
;; 23
%ano:2, sumo:1, generation[aux]53small:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroSo}  
[ext],  father(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), female(Ego), male(Alter).
;; 24
%ano:2, sumo:1, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), female(Ego), male(Alter).
;; 25
%ano:2, sumo:1, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), female(Ego), male(Alter).
;; 26
%ano:2, sumo:1, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), female(Ego), male(Alter).
;; 27
%ano:2, sumo:1, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), female(Ego), male(Alter).
;; 28
%ano:2, sumo:2, generation[aux]53small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuSisSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(Ego, D), male(Alter).
;; 29
%ano:2, sumo:2, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Ego, F), male(Alter).
;; 30
%ano:2, sumo:2, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Ego, F), male(Alter).
;; 31
%ano:2, sumo:2, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Ego, F), male(Alter).
;; 32
%ano:2, sumo:2, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Ego, F), male(Alter).
;; 33
%ano:3, sumo:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroDa}  
 father(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), female(Ego), female(Alter).
;; 34
%ano:3, sumo:1, generation[aux]53small:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroDa}  
[ext],  father(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), female(Ego), female(Alter).
;; 35
%ano:3, sumo:1, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), female(Ego), female(Alter).
;; 36
%ano:3, sumo:1, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), female(Ego), female(Alter).
;; 37
%ano:3, sumo:1, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), female(Ego), female(Alter).
;; 38
%ano:3, sumo:1, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), female(Ego), female(Alter).
;; 39
%ano:3, sumo:2, generation[aux]53small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuSisDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(Ego, D), female(Alter).
;; 40
%ano:3, sumo:2, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Ego, F), female(Alter).
;; 41
%ano:3, sumo:2, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Ego, F), female(Alter).
;; 42
%ano:3, sumo:2, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Ego, F), female(Alter).
;; 43
%ano:3, sumo:2, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Ego, F), female(Alter).


atu(Alter, Ego) :-  sinia(Ego, Alter), male(Alter).
                |   sinia(Ego, Alter), female(Alter).
                |   tama(Ego, Alter), male(Alter).
                |   tama(Ego, Alter), female(Alter).
{"BroDa_BroSo_Da_FaBroDaDa_FaBroDaSo_FaBroSoDa_FaBroSoSo_FaFaBroDaDaDa_FaFaBroDaDaSo_FaFaBroDaSoDa_FaFaBroDaSoSo_FaFaBroSoDaDa_FaFaBroSoDaSo_FaFaBroSoSoDa_FaFaBroSoSoSo_FaFaSisDaDaDa_FaFaSisDaDaSo_FaFaSisDaSoDa_FaFaSisDaSoSo_FaFaSisSoDaDa_FaFaSisSoDaSo_FaFaSisSoSoDa_FaFaSisSoSoSo_FaMoBroDaDaDa_FaMoBroDaDaSo_FaMoBroDaSoDa_FaMoBroDaSoSo_FaMoBroSoDaDa_FaMoBroSoDaSo_FaMoBroSoSoDa_FaMoBroSoSoSo_FaMoSisDaDaDa_FaMoSisDaDaSo_FaMoSisDaSoDa_FaMoSisDaSoSo_FaMoSisSoDaDa_FaMoSisSoDaSo_FaMoSisSoSoDa_FaMoSisSoSoSo_FaSisDaDa_FaSisDaSo_FaSisSoDa_FaSisSoSo_HuBroDa_HuBroSo_HuFaBroSoDa_HuFaBroSoSo_HuFaSisSoDa_HuFaSisSoSo_HuMoBroSoDa_HuMoBroSoSo_HuMoSisSoDa_HuMoSisSoSo_MoBroDaDa_MoBroDaSo_MoBroSoDa_MoBroSoSo_MoFaBroDaDaDa_MoFaBroDaDaSo_MoFaBroDaSoDa_MoFaBroDaSoSo_MoFaBroSoDaDa_MoFaBroSoDaSo_MoFaBroSoSoDa_MoFaBroSoSoSo_MoFaSisDaDaDa_MoFaSisDaDaSo_MoFaSisDaSoDa_MoFaSisDaSoSo_MoFaSisSoDaDa_MoFaSisSoDaSo_MoFaSisSoSoDa_MoFaSisSoSoSo_MoMoBroDaDaDa_MoMoBroDaDaSo_MoMoBroDaSoDa_MoMoBroDaSoSo_MoMoBroSoDaDa_MoMoBroSoDaSo_MoMoBroSoSoDa_MoMoBroSoSoSo_MoMoSisDaDaDa_MoMoSisDaDaSo_MoMoSisDaSoDa_MoMoSisDaSoSo_MoMoSisSoDaDa_MoMoSisSoDaSo_MoMoSisSoSoDa_MoMoSisSoSoSo_MoSisDaDa_MoSisDaSo_MoSisSoDa_MoSisSoSo_SisDa_SisSo_So_WiFaBroDaDa_WiFaBroDaSo_WiFaSisDaDa_WiFaSisDaSo_WiMoBroDaDa_WiMoBroDaSo_WiMoSisDaDa_WiMoSisDaSo_WiSisDa_WiSisSo"}
;; 0
%atu:0, sinia:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {So}  
 mother(Ego, Alter), male(Alter).
;; 1
%atu:0, sinia:1, generation[aux]53:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), female(Ego), male(Alter).
;; 2
%atu:0, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), female(Ego), male(Alter).
;; 3
%atu:0, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), female(Ego), male(Alter).
;; 4
%atu:0, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), female(Ego), male(Alter).
;; 5
%atu:0, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), female(Ego), male(Alter).
;; 6
%atu:0, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), female(Ego), male(Alter).
;; 7
%atu:0, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), female(Ego), male(Alter).
;; 8
%atu:0, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), female(Ego), male(Alter).
;; 9
%atu:0, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), female(Ego), male(Alter).
;; 10
%atu:0, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), female(Ego), male(Alter).
;; 11
%atu:0, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), female(Ego), male(Alter).
;; 12
%atu:0, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), female(Ego), male(Alter).
;; 13
%atu:0, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), female(Ego), male(Alter).
;; 14
%atu:0, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), female(Ego), male(Alter).
;; 15
%atu:0, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), female(Ego), male(Alter).
;; 16
%atu:0, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), female(Ego), male(Alter).
;; 17
%atu:0, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), female(Ego), male(Alter).
;; 18
%atu:0, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), female(Ego), male(Alter).
;; 19
%atu:0, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), female(Ego), male(Alter).
;; 20
%atu:0, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), female(Ego), male(Alter).
;; 21
%atu:0, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), female(Ego), male(Alter).
;; 22
%atu:0, sinia:2, generation[aux]53:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuBroSo}  
[ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(Ego, D), male(Alter).
;; 23
%atu:0, sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Ego, F), male(Alter).
;; 24
%atu:0, sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Ego, F), male(Alter).
;; 25
%atu:0, sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Ego, F), male(Alter).
;; 26
%atu:0, sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Ego, F), male(Alter).
;; 27
%atu:1, sinia:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {Da}  
 mother(Ego, Alter), female(Alter).
;; 28
%atu:1, sinia:1, generation[aux]53:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), female(Ego), female(Alter).
;; 29
%atu:1, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), female(Ego), female(Alter).
;; 30
%atu:1, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), female(Ego), female(Alter).
;; 31
%atu:1, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), female(Ego), female(Alter).
;; 32
%atu:1, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), female(Ego), female(Alter).
;; 33
%atu:1, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), female(Ego), female(Alter).
;; 34
%atu:1, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), female(Ego), female(Alter).
;; 35
%atu:1, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), female(Ego), female(Alter).
;; 36
%atu:1, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), female(Ego), female(Alter).
;; 37
%atu:1, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), female(Ego), female(Alter).
;; 38
%atu:1, sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), female(Ego), female(Alter).
;; 39
%atu:1, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), female(Ego), female(Alter).
;; 40
%atu:1, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), female(Ego), female(Alter).
;; 41
%atu:1, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), female(Ego), female(Alter).
;; 42
%atu:1, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), female(Ego), female(Alter).
;; 43
%atu:1, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), female(Ego), female(Alter).
;; 44
%atu:1, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), female(Ego), female(Alter).
;; 45
%atu:1, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), female(Ego), female(Alter).
;; 46
%atu:1, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), female(Ego), female(Alter).
;; 47
%atu:1, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), female(Ego), female(Alter).
;; 48
%atu:1, sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), female(Ego), female(Alter).
;; 49
%atu:1, sinia:2, generation[aux]53:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuBroDa}  
[ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(Ego, D), female(Alter).
;; 50
%atu:1, sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Ego, F), female(Alter).
;; 51
%atu:1, sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Ego, F), female(Alter).
;; 52
%atu:1, sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Ego, F), female(Alter).
;; 53
%atu:1, sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Ego, F), female(Alter).
;; 54
%atu:2, tama:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {So}  
 father(Ego, Alter), male(Alter).
;; 55
%atu:2, tama:1, generation[aux]53:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroSo}  
[ext],  father(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), male(Ego), male(Alter).
;; 56
%atu:2, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), male(Ego), male(Alter).
;; 57
%atu:2, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), male(Ego), male(Alter).
;; 58
%atu:2, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), male(Ego), male(Alter).
;; 59
%atu:2, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), male(Ego), male(Alter).
;; 60
%atu:2, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), male(Ego), male(Alter).
;; 61
%atu:2, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), male(Ego), male(Alter).
;; 62
%atu:2, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), male(Ego), male(Alter).
;; 63
%atu:2, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), male(Ego), male(Alter).
;; 64
%atu:2, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), male(Ego), male(Alter).
;; 65
%atu:2, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), male(Ego), male(Alter).
;; 66
%atu:2, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), male(Ego), male(Alter).
;; 67
%atu:2, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), male(Ego), male(Alter).
;; 68
%atu:2, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), male(Ego), male(Alter).
;; 69
%atu:2, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), male(Ego), male(Alter).
;; 70
%atu:2, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), male(Ego), male(Alter).
;; 71
%atu:2, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), male(Ego), male(Alter).
;; 72
%atu:2, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), male(Ego), male(Alter).
;; 73
%atu:2, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), male(Ego), male(Alter).
;; 74
%atu:2, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), male(Ego), male(Alter).
;; 75
%atu:2, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), male(Ego), male(Alter).
;; 76
%atu:2, tama:2, generation[aux]53:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiSisSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), husband(Ego, D), male(Alter).
;; 77
%atu:2, tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Ego, F), male(Alter).
;; 78
%atu:2, tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Ego, F), male(Alter).
;; 79
%atu:2, tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Ego, F), male(Alter).
;; 80
%atu:2, tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Ego, F), male(Alter).
;; 81
%atu:3, tama:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {Da}  
 father(Ego, Alter), female(Alter).
;; 82
%atu:3, tama:1, generation[aux]53:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroDa}  
[ext],  father(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), male(Ego), female(Alter).
;; 83
%atu:3, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), male(Ego), female(Alter).
;; 84
%atu:3, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), male(Ego), female(Alter).
;; 85
%atu:3, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), male(Ego), female(Alter).
;; 86
%atu:3, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), male(Ego), female(Alter).
;; 87
%atu:3, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), male(Ego), female(Alter).
;; 88
%atu:3, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), male(Ego), female(Alter).
;; 89
%atu:3, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), male(Ego), female(Alter).
;; 90
%atu:3, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), male(Ego), female(Alter).
;; 91
%atu:3, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), male(Ego), female(Alter).
;; 92
%atu:3, tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), male(Ego), female(Alter).
;; 93
%atu:3, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Ego, E), male(Ego), female(Alter).
;; 94
%atu:3, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Ego, E), male(Ego), female(Alter).
;; 95
%atu:3, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), male(Ego), female(Alter).
;; 96
%atu:3, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), male(Ego), female(Alter).
;; 97
%atu:3, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), male(Ego), female(Alter).
;; 98
%atu:3, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), male(Ego), female(Alter).
;; 99
%atu:3, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Ego, G), male(Ego), female(Alter).
;; 100
%atu:3, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Ego, G), male(Ego), female(Alter).
;; 101
%atu:3, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Ego, G), male(Ego), female(Alter).
;; 102
%atu:3, tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Ego, G), male(Ego), female(Alter).
;; 103
%atu:3, tama:2, generation[aux]53:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiSisDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), husband(Ego, D), female(Alter).
;; 104
%atu:3, tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Ego, F), female(Alter).
;; 105
%atu:3, tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Ego, F), female(Alter).
;; 106
%atu:3, tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Ego, F), female(Alter).
;; 107
%atu:3, tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Ego, F), female(Alter).


bai(Alter, Ego) :-  children(A, Ego), spouse(B, A), parents(Alter, B).
                |  [ext],  children(A, Ego), spouse(B, A), square[aux]53smallGS(Alter, B).
                |  [ext],  children(A, Ego), spouse(B, A), generation[aux]53smallGS(C, B), children(Alter, C).
                |  [ext],  children(A, Ego), spouse(B, A), generation[aux]53smallGS(C, B), children(D, C), children(Alter, D).
{"DaHuBro_DaHuBroDa_DaHuBroDaDa_DaHuBroDaSo_DaHuBroSo_DaHuBroSoDa_DaHuBroSoSo_DaHuFa_DaHuFaBro_DaHuFaBroDaDa_DaHuFaBroDaDaDa_DaHuFaBroDaDaSo_DaHuFaBroDaSo_DaHuFaBroDaSoDa_DaHuFaBroDaSoSo_DaHuFaBroSoDa_DaHuFaBroSoDaDa_DaHuFaBroSoDaSo_DaHuFaBroSoSo_DaHuFaBroSoSoDa_DaHuFaBroSoSoSo_DaHuFaFa_DaHuFaFaBro_DaHuFaFaFa_DaHuFaFaMo_DaHuFaFaSis_DaHuFaMo_DaHuFaMoBro_DaHuFaMoFa_DaHuFaMoMo_DaHuFaMoSis_DaHuFaSis_DaHuFaSisDaDa_DaHuFaSisDaDaDa_DaHuFaSisDaDaSo_DaHuFaSisDaSo_DaHuFaSisDaSoDa_DaHuFaSisDaSoSo_DaHuFaSisSoDa_DaHuFaSisSoDaDa_DaHuFaSisSoDaSo_DaHuFaSisSoSo_DaHuFaSisSoSoDa_DaHuFaSisSoSoSo_DaHuMo_DaHuMoBro_DaHuMoBroDaDa_DaHuMoBroDaDaDa_DaHuMoBroDaDaSo_DaHuMoBroDaSo_DaHuMoBroDaSoDa_DaHuMoBroDaSoSo_DaHuMoBroSoDa_DaHuMoBroSoDaDa_DaHuMoBroSoDaSo_DaHuMoBroSoSo_DaHuMoBroSoSoDa_DaHuMoBroSoSoSo_DaHuMoFa_DaHuMoFaBro_DaHuMoFaFa_DaHuMoFaMo_DaHuMoFaSis_DaHuMoMo_DaHuMoMoBro_DaHuMoMoFa_DaHuMoMoMo_DaHuMoMoSis_DaHuMoSis_DaHuMoSisDaDa_DaHuMoSisDaDaDa_DaHuMoSisDaDaSo_DaHuMoSisDaSo_DaHuMoSisDaSoDa_DaHuMoSisDaSoSo_DaHuMoSisSoDa_DaHuMoSisSoDaDa_DaHuMoSisSoDaSo_DaHuMoSisSoSo_DaHuMoSisSoSoDa_DaHuMoSisSoSoSo_DaHuSis_DaHuSisDa_DaHuSisDaDa_DaHuSisDaSo_DaHuSisSo_DaHuSisSoDa_DaHuSisSoSo_SoWiBro_SoWiBroDa_SoWiBroDaDa_SoWiBroDaSo_SoWiBroSo_SoWiBroSoDa_SoWiBroSoSo_SoWiFa_SoWiFaBro_SoWiFaBroDaDa_SoWiFaBroDaDaDa_SoWiFaBroDaDaSo_SoWiFaBroDaSo_SoWiFaBroDaSoDa_SoWiFaBroDaSoSo_SoWiFaBroSoDa_SoWiFaBroSoDaDa_SoWiFaBroSoDaSo_SoWiFaBroSoSo_SoWiFaBroSoSoDa_SoWiFaBroSoSoSo_SoWiFaFa_SoWiFaFaBro_SoWiFaFaFa_SoWiFaFaMo_SoWiFaFaSis_SoWiFaMo_SoWiFaMoBro_SoWiFaMoFa_SoWiFaMoMo_SoWiFaMoSis_SoWiFaSis_SoWiFaSisDaDa_SoWiFaSisDaDaDa_SoWiFaSisDaDaSo_SoWiFaSisDaSo_SoWiFaSisDaSoDa_SoWiFaSisDaSoSo_SoWiFaSisSoDa_SoWiFaSisSoDaDa_SoWiFaSisSoDaSo_SoWiFaSisSoSo_SoWiFaSisSoSoDa_SoWiFaSisSoSoSo_SoWiMo_SoWiMoBro_SoWiMoBroDaDa_SoWiMoBroDaDaDa_SoWiMoBroDaDaSo_SoWiMoBroDaSo_SoWiMoBroDaSoDa_SoWiMoBroDaSoSo_SoWiMoBroSoDa_SoWiMoBroSoDaDa_SoWiMoBroSoDaSo_SoWiMoBroSoSo_SoWiMoBroSoSoDa_SoWiMoBroSoSoSo_SoWiMoFa_SoWiMoFaBro_SoWiMoFaFa_SoWiMoFaMo_SoWiMoFaSis_SoWiMoMo_SoWiMoMoBro_SoWiMoMoFa_SoWiMoMoMo_SoWiMoMoSis_SoWiMoSis_SoWiMoSisDaDa_SoWiMoSisDaDaDa_SoWiMoSisDaDaSo_SoWiMoSisDaSo_SoWiMoSisDaSoDa_SoWiMoSisDaSoSo_SoWiMoSisSoDa_SoWiMoSisSoDaDa_SoWiMoSisSoDaSo_SoWiMoSisSoSo_SoWiMoSisSoSoDa_SoWiMoSisSoSoSo_SoWiSis_SoWiSisDa_SoWiSisDaDa_SoWiSisDaSo_SoWiSisSo_SoWiSisSoDa_SoWiSisSoSo"}
;; 0
%bai:0, children:0, parents:0%
 Lvl=0,  PC=2, S=1, Star=0,  {SoWiMo}  
 son(A, Ego), spouse(B, A), mother(Alter, B).
;; 1
%bai:0, children:0, parents:1%
 Lvl=0,  PC=2, S=1, Star=0,  {SoWiFa}  
 son(A, Ego), spouse(B, A), father(Alter, B).
;; 2
%bai:0, children:1, parents:0%
 Lvl=0,  PC=2, S=1, Star=0,  {DaHuMo}  
 daughter(A, Ego), spouse(B, A), mother(Alter, B).
;; 3
%bai:0, children:1, parents:1%
 Lvl=0,  PC=2, S=1, Star=0,  {DaHuFa}  
 daughter(A, Ego), spouse(B, A), father(Alter, B).
;; 4
%bai:1, children:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SoWiBro}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 5
%bai:1, children:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SoWiSis}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 6
%bai:1, children:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=2, S=1, Star=0,  {SoWiMo}  
[ext],  son(A, Ego), spouse(B, A), mother(Alter, B).
;; 7
%bai:1, children:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=2, S=1, Star=0,  {SoWiFa}  
[ext],  son(A, Ego), spouse(B, A), father(Alter, B).
;; 8
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {SoWiMoBro}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 9
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {SoWiMoSis}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 10
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=1,  PC=3, S=1, Star=0,  {SoWiMoMo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(Alter, C).
;; 11
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=1,  PC=3, S=1, Star=0,  {SoWiMoFa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(Alter, C).
;; 12
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {SoWiMoMoBro}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 13
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {SoWiMoMoSis}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 14
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=4, S=1, Star=0,  {SoWiMoMoMo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 15
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=4, S=1, Star=0,  {SoWiMoMoFa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 16
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {SoWiMoFaBro}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 17
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {SoWiMoFaSis}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 18
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=4, S=1, Star=0,  {SoWiMoFaMo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 19
%bai:1, children:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=4, S=1, Star=0,  {SoWiMoFaFa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 20
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {SoWiFaBro}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 21
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {SoWiFaSis}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 22
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=1,  PC=3, S=1, Star=0,  {SoWiFaMo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(Alter, C).
;; 23
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=1,  PC=3, S=1, Star=0,  {SoWiFaFa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), father(Alter, C).
;; 24
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {SoWiFaMoBro}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 25
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {SoWiFaMoSis}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 26
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=4, S=1, Star=0,  {SoWiFaMoMo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 27
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=4, S=1, Star=0,  {SoWiFaMoFa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 28
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {SoWiFaFaBro}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 29
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {SoWiFaFaSis}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 30
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=4, S=1, Star=0,  {SoWiFaFaMo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 31
%bai:1, children:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=4, S=1, Star=0,  {SoWiFaFaFa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), father(D, C), father(Alter, D).
;; 32
%bai:1, children:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {DaHuBro}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 33
%bai:1, children:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {DaHuSis}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 34
%bai:1, children:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=2, S=1, Star=0,  {DaHuMo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(Alter, B).
;; 35
%bai:1, children:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=2, S=1, Star=0,  {DaHuFa}  
[ext],  daughter(A, Ego), spouse(B, A), father(Alter, B).
;; 36
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {DaHuMoBro}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 37
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {DaHuMoSis}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 38
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=1,  PC=3, S=1, Star=0,  {DaHuMoMo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(Alter, C).
;; 39
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=1,  PC=3, S=1, Star=0,  {DaHuMoFa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(Alter, C).
;; 40
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {DaHuMoMoBro}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 41
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {DaHuMoMoSis}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 42
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=4, S=1, Star=0,  {DaHuMoMoMo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 43
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=4, S=1, Star=0,  {DaHuMoMoFa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 44
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {DaHuMoFaBro}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 45
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {DaHuMoFaSis}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 46
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=4, S=1, Star=0,  {DaHuMoFaMo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 47
%bai:1, children:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=4, S=1, Star=0,  {DaHuMoFaFa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 48
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {DaHuFaBro}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 49
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {DaHuFaSis}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 50
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=1,  PC=3, S=1, Star=0,  {DaHuFaMo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(Alter, C).
;; 51
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=1,  PC=3, S=1, Star=0,  {DaHuFaFa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), father(Alter, C).
;; 52
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {DaHuFaMoBro}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 53
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {DaHuFaMoSis}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 54
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=4, S=1, Star=0,  {DaHuFaMoMo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 55
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=4, S=1, Star=0,  {DaHuFaMoFa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 56
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {DaHuFaFaBro}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 57
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {DaHuFaFaSis}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 58
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=4, S=1, Star=0,  {DaHuFaFaMo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 59
%bai:1, children:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=4, S=1, Star=0,  {DaHuFaFaFa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), father(D, C), father(Alter, D).
;; 60
%bai:2, children:0, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SoWiBroSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 61
%bai:2, children:0, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=6, S=1, Star=0,  {SoWiBroDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 62
%bai:2, children:0, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SoWiSisSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 63
%bai:2, children:0, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=6, S=1, Star=0,  {SoWiSisDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 64
%bai:2, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiMoBroSoSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 65
%bai:2, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiMoBroSoDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 66
%bai:2, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiMoBroDaSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 67
%bai:2, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiMoBroDaDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 68
%bai:2, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiMoSisSoSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 69
%bai:2, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiMoSisSoDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 70
%bai:2, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiMoSisDaSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 71
%bai:2, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiMoSisDaDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 72
%bai:2, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiFaBroSoSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 73
%bai:2, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiFaBroSoDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 74
%bai:2, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiFaBroDaSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 75
%bai:2, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiFaBroDaDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 76
%bai:2, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiFaSisSoSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 77
%bai:2, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiFaSisSoDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 78
%bai:2, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiFaSisDaSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 79
%bai:2, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {SoWiFaSisDaDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 80
%bai:2, children:1, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {DaHuBroSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 81
%bai:2, children:1, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=-2,  PC=6, S=1, Star=0,  {DaHuBroDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 82
%bai:2, children:1, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {DaHuSisSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 83
%bai:2, children:1, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=-2,  PC=6, S=1, Star=0,  {DaHuSisDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 84
%bai:2, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuMoBroSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 85
%bai:2, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuMoBroSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 86
%bai:2, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuMoBroDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 87
%bai:2, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuMoBroDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 88
%bai:2, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuMoSisSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 89
%bai:2, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuMoSisSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 90
%bai:2, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuMoSisDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 91
%bai:2, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuMoSisDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 92
%bai:2, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuFaBroSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 93
%bai:2, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuFaBroSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 94
%bai:2, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuFaBroDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 95
%bai:2, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuFaBroDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 96
%bai:2, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuFaSisSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 97
%bai:2, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuFaSisSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 98
%bai:2, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuFaSisDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 99
%bai:2, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=1, Star=0,  {DaHuFaSisDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 100
%bai:3, children:0, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SoWiBroSoSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 101
%bai:3, children:0, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=7, S=1, Star=0,  {SoWiBroSoDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 102
%bai:3, children:0, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SoWiBroDaSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 103
%bai:3, children:0, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=7, S=1, Star=0,  {SoWiBroDaDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 104
%bai:3, children:0, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SoWiSisSoSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 105
%bai:3, children:0, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=7, S=1, Star=0,  {SoWiSisSoDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 106
%bai:3, children:0, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SoWiSisDaSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 107
%bai:3, children:0, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=7, S=1, Star=0,  {SoWiSisDaDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 108
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoBroSoSoSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), son(Alter, H).
;; 109
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoBroSoSoDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(Alter, H).
;; 110
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoBroSoDaSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), son(Alter, H).
;; 111
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoBroSoDaDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(Alter, H).
;; 112
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoBroDaSoSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), son(Alter, H).
;; 113
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoBroDaSoDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), daughter(Alter, H).
;; 114
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoBroDaDaSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), son(Alter, H).
;; 115
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoBroDaDaDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 116
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoSisSoSoSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), son(Alter, H).
;; 117
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoSisSoSoDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), daughter(Alter, H).
;; 118
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoSisSoDaSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), son(Alter, H).
;; 119
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoSisSoDaDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(Alter, H).
;; 120
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoSisDaSoSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), son(Alter, H).
;; 121
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoSisDaSoDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), daughter(Alter, H).
;; 122
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoSisDaDaSo}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), son(Alter, H).
;; 123
%bai:3, children:0, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiMoSisDaDaDa}  
[ext],  son(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 124
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaBroSoSoSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), son(Alter, H).
;; 125
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaBroSoSoDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(Alter, H).
;; 126
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaBroSoDaSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), son(Alter, H).
;; 127
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaBroSoDaDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(Alter, H).
;; 128
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaBroDaSoSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), son(Alter, H).
;; 129
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaBroDaSoDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), daughter(Alter, H).
;; 130
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaBroDaDaSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), son(Alter, H).
;; 131
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaBroDaDaDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 132
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaSisSoSoSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), son(Alter, H).
;; 133
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaSisSoSoDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), daughter(Alter, H).
;; 134
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaSisSoDaSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), son(Alter, H).
;; 135
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaSisSoDaDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(Alter, H).
;; 136
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaSisDaSoSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), son(Alter, H).
;; 137
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaSisDaSoDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), daughter(Alter, H).
;; 138
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaSisDaDaSo}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), son(Alter, H).
;; 139
%bai:3, children:0, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {SoWiFaSisDaDaDa}  
[ext],  son(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 140
%bai:3, children:1, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {DaHuBroSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 141
%bai:3, children:1, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=7, S=1, Star=0,  {DaHuBroSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 142
%bai:3, children:1, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {DaHuBroDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 143
%bai:3, children:1, generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=7, S=1, Star=0,  {DaHuBroDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 144
%bai:3, children:1, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {DaHuSisSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 145
%bai:3, children:1, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=-3,  PC=7, S=1, Star=0,  {DaHuSisSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 146
%bai:3, children:1, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {DaHuSisDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 147
%bai:3, children:1, generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=-3,  PC=7, S=1, Star=0,  {DaHuSisDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 148
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoBroSoSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), son(Alter, H).
;; 149
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoBroSoSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(Alter, H).
;; 150
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoBroSoDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), son(Alter, H).
;; 151
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoBroSoDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(Alter, H).
;; 152
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoBroDaSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), son(Alter, H).
;; 153
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoBroDaSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), daughter(Alter, H).
;; 154
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoBroDaDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), son(Alter, H).
;; 155
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoBroDaDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 156
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoSisSoSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), son(Alter, H).
;; 157
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoSisSoSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), daughter(Alter, H).
;; 158
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoSisSoDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), son(Alter, H).
;; 159
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoSisSoDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(Alter, H).
;; 160
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoSisDaSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), son(Alter, H).
;; 161
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoSisDaSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), daughter(Alter, H).
;; 162
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoSisDaDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), son(Alter, H).
;; 163
%bai:3, children:1, generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuMoSisDaDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 164
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaBroSoSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), son(Alter, H).
;; 165
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaBroSoSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), daughter(Alter, H).
;; 166
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaBroSoDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), son(Alter, H).
;; 167
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaBroSoDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), daughter(Alter, H).
;; 168
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaBroDaSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), son(Alter, H).
;; 169
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaBroDaSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), daughter(Alter, H).
;; 170
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaBroDaDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), son(Alter, H).
;; 171
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaBroDaDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), daughter(Alter, H).
;; 172
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaSisSoSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), son(Alter, H).
;; 173
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaSisSoSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), daughter(Alter, H).
;; 174
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaSisSoDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), son(Alter, H).
;; 175
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaSisSoDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), daughter(Alter, H).
;; 176
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaSisDaSoSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), son(Alter, H).
;; 177
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:0, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaSisDaSoDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), daughter(Alter, H).
;; 178
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:0%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaSisDaDaSo}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), son(Alter, H).
;; 179
%bai:3, children:1, generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1, children:1, children:1%
 Lvl=-3,  PC=9, S=1, Star=0,  {DaHuFaSisDaDaDa}  
[ext],  daughter(A, Ego), spouse(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), daughter(Alter, H).


brother(Alter, Ego) :-  sibling(Alter, Ego), male(Alter).
;; 0
%brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).


children(Alter, Ego) :-  son(Alter, Ego).
                     |   daughter(Alter, Ego).
;; 0
%children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(Alter, Ego).
;; 1
%children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(Alter, Ego).


dero(Alter, Ego) :-  dero[aux]53(Alter, Ego).
                 |   dero[aux]53(Ego, Alter).
{"BroWi_FaBroDaHu_FaBroSoWi_FaFaBroDaDaHu_FaFaBroDaSoWi_FaFaBroSoDaHu_FaFaBroSoSoWi_FaFaSisDaDaHu_FaFaSisDaSoWi_FaFaSisSoDaHu_FaFaSisSoSoWi_FaMoBroDaDaHu_FaMoBroDaSoWi_FaMoBroSoDaHu_FaMoBroSoSoWi_FaMoSisDaDaHu_FaMoSisDaSoWi_FaMoSisSoDaHu_FaMoSisSoSoWi_FaSisDaHu_FaSisSoWi_HuFaBroDa_HuFaFaBroDaDa_HuFaFaBroSoDa_HuFaFaSisDaDa_HuFaFaSisSoDa_HuFaMoBroDaDa_HuFaMoBroSoDa_HuFaMoSisDaDa_HuFaMoSisSoDa_HuFaSisDa_HuMoBroDa_HuMoFaBroDaDa_HuMoFaBroSoDa_HuMoFaSisDaDa_HuMoFaSisSoDa_HuMoMoBroDaDa_HuMoMoBroSoDa_HuMoMoSisDaDa_HuMoMoSisSoDa_HuMoSisDa_HuSis_MoBroDaHu_MoBroSoWi_MoFaBroDaDaHu_MoFaBroDaSoWi_MoFaBroSoDaHu_MoFaBroSoSoWi_MoFaSisDaDaHu_MoFaSisDaSoWi_MoFaSisSoDaHu_MoFaSisSoSoWi_MoMoBroDaDaHu_MoMoBroDaSoWi_MoMoBroSoDaHu_MoMoBroSoSoWi_MoMoSisDaDaHu_MoMoSisDaSoWi_MoMoSisSoDaHu_MoMoSisSoSoWi_MoSisDaHu_MoSisSoWi_SisHu_WiBro_WiFaBroSo_WiFaFaBroDaSo_WiFaFaBroSoSo_WiFaFaSisDaSo_WiFaFaSisSoSo_WiFaMoBroDaSo_WiFaMoBroSoSo_WiFaMoSisDaSo_WiFaMoSisSoSo_WiFaSisSo_WiMoBroSo_WiMoFaBroDaSo_WiMoFaBroSoSo_WiMoFaSisDaSo_WiMoFaSisSoSo_WiMoMoBroDaSo_WiMoMoBroSoSo_WiMoMoSisDaSo_WiMoMoSisSoSo_WiMoSisSo"}
;; 0
%dero:0, dero[aux]53:0, spice:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {HuSis}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, Ego), gender(D, Alter).
;; 1
%dero:0, dero[aux]53:0, spice:1, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiBro}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, Ego), gender(D, Alter).
;; 2
%dero:0, dero[aux]53:1, raruo:0, sibling:0, spice:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), husband(Alter, C).
;; 3
%dero:0, dero[aux]53:1, raruo:0, sibling:0, spice:1%
 Lvl=0,  PC=4, S=1, Star=0,  {BroWi}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), wife(Alter, C).
;; 4
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:0, sibling:0, spice:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), husband(Alter, C).
;; 5
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:0, sibling:0, spice:1%
 Lvl=0,  PC=4, S=1, Star=0,  {BroWi}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), wife(Alter, C).
;; 6
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoBroDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), husband(Alter, E).
;; 7
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:1%
 Lvl=0,  PC=6, S=1, Star=0,  {MoBroSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), wife(Alter, E).
;; 8
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), husband(Alter, E).
;; 9
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:1%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), wife(Alter, E).
;; 10
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoBroSoDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 11
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoBroSoSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 12
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoBroDaDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 13
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoBroDaSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 14
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoSisSoDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 15
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoSisSoSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 16
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoSisDaDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 17
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {MoMoSisDaSoWi}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 18
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaBroSoDaHu}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 19
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaBroSoSoWi}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 20
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaBroDaDaHu}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 21
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaBroDaSoWi}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 22
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaSisSoDaHu}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 23
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaSisSoSoWi}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 24
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaSisDaDaHu}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 25
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {MoFaSisDaSoWi}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 26
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), husband(Alter, E).
;; 27
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:1%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), wife(Alter, E).
;; 28
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaSisDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), husband(Alter, E).
;; 29
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:1%
 Lvl=0,  PC=6, S=1, Star=0,  {FaSisSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), wife(Alter, E).
;; 30
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoBroSoDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 31
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoBroSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 32
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoBroDaDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 33
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoBroDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 34
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoSisSoDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 35
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoSisSoSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 36
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoSisDaDaHu}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 37
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {FaMoSisDaSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 38
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaBroSoDaHu}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 39
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaBroSoSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 40
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaBroDaDaHu}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 41
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaBroDaSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 42
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaSisSoDaHu}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 43
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaSisSoSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 44
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaSisDaDaHu}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 45
%dero:0, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {FaFaSisDaSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 46
%dero:1, dero[aux]53:0, spice:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {BroWi}  
 husband(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), gender(D, Alter), gender(D, Ego).
;; 47
%dero:1, dero[aux]53:0, spice:1, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
 wife(A, Alter), mother(B, A), father(C, A), child(Ego, B), child(Ego, C), not(equal(Ego, A)), gender(D, Alter), gender(D, Ego).
;; 48
%dero:1, dero[aux]53:1, raruo:0, sibling:0, spice:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiBro}  
[ext],  mother(A, Alter), father(B, Alter), child(C, A), child(C, B), not(equal(C, Alter)), gender(D, Alter), gender(E, C), not(equal(D, E)), husband(Ego, C).
;; 49
%dero:1, dero[aux]53:1, raruo:0, sibling:0, spice:1%
 Lvl=0,  PC=4, S=1, Star=0,  {HuSis}  
[ext],  mother(A, Alter), father(B, Alter), child(C, A), child(C, B), not(equal(C, Alter)), gender(D, Alter), gender(E, C), not(equal(D, E)), wife(Ego, C).
;; 50
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:0, sibling:0, spice:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiBro}  
[ext], [ext],  mother(A, Alter), father(B, Alter), child(C, A), child(C, B), not(equal(C, Alter)), gender(D, Alter), gender(E, C), not(equal(D, E)), husband(Ego, C).
;; 51
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:0, sibling:0, spice:1%
 Lvl=0,  PC=4, S=1, Star=0,  {HuSis}  
[ext], [ext],  mother(A, Alter), father(B, Alter), child(C, A), child(C, B), not(equal(C, Alter)), gender(D, Alter), gender(E, C), not(equal(D, E)), wife(Ego, C).
;; 52
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiFaSisSo}  
[ext], [ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Alter), gender(G, E), not(equal(F, G)), husband(Ego, E).
;; 53
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:1%
 Lvl=0,  PC=6, S=1, Star=0,  {HuFaSisDa}  
[ext], [ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Alter), gender(G, E), not(equal(F, G)), wife(Ego, E).
;; 54
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiMoSisSo}  
[ext], [ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Alter), gender(G, E), not(equal(F, G)), husband(Ego, E).
;; 55
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:1%
 Lvl=0,  PC=6, S=1, Star=0,  {HuMoSisDa}  
[ext], [ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Alter), gender(G, E), not(equal(F, G)), wife(Ego, E).
;; 56
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiFaFaSisDaSo}  
[ext], [ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 57
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuFaFaSisDaDa}  
[ext], [ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 58
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiMoFaSisDaSo}  
[ext], [ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 59
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuMoFaSisDaDa}  
[ext], [ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 60
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiFaMoSisDaSo}  
[ext], [ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 61
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuFaMoSisDaDa}  
[ext], [ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 62
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiMoMoSisDaSo}  
[ext], [ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 63
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuMoMoSisDaDa}  
[ext], [ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 64
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiFaFaBroDaSo}  
[ext], [ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 65
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuFaFaBroDaDa}  
[ext], [ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 66
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiMoFaBroDaSo}  
[ext], [ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 67
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuMoFaBroDaDa}  
[ext], [ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 68
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiFaMoBroDaSo}  
[ext], [ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 69
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuFaMoBroDaDa}  
[ext], [ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 70
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiMoMoBroDaSo}  
[ext], [ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 71
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuMoMoBroDaDa}  
[ext], [ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 72
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiFaBroSo}  
[ext], [ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Alter), gender(G, E), not(equal(F, G)), husband(Ego, E).
;; 73
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:1%
 Lvl=0,  PC=6, S=1, Star=0,  {HuFaBroDa}  
[ext], [ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Alter), gender(G, E), not(equal(F, G)), wife(Ego, E).
;; 74
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiMoBroSo}  
[ext], [ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Alter), gender(G, E), not(equal(F, G)), husband(Ego, E).
;; 75
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:1%
 Lvl=0,  PC=6, S=1, Star=0,  {HuMoBroDa}  
[ext], [ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Alter), gender(G, E), not(equal(F, G)), wife(Ego, E).
;; 76
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiFaFaSisSoSo}  
[ext], [ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 77
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuFaFaSisSoDa}  
[ext], [ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 78
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiMoFaSisSoSo}  
[ext], [ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 79
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuMoFaSisSoDa}  
[ext], [ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 80
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiFaMoSisSoSo}  
[ext], [ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 81
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuFaMoSisSoDa}  
[ext], [ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 82
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiMoMoSisSoSo}  
[ext], [ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 83
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuMoMoSisSoDa}  
[ext], [ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 84
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiFaFaBroSoSo}  
[ext], [ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 85
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuFaFaBroSoDa}  
[ext], [ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 86
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiMoFaBroSoSo}  
[ext], [ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 87
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuMoFaBroSoDa}  
[ext], [ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 88
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiFaMoBroSoSo}  
[ext], [ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 89
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuFaMoBroSoDa}  
[ext], [ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).
;; 90
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=8, S=1, Star=0,  {WiMoMoBroSoSo}  
[ext], [ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), husband(Ego, G).
;; 91
%dero:1, dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=8, S=1, Star=0,  {HuMoMoBroSoDa}  
[ext], [ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Alter), gender(I, G), not(equal(H, I)), wife(Ego, G).


dero[aux]53(Alter, Ego) :-  spice(A, Ego), sibling(Alter, A), gender(B, Ego), gender(B, Alter).
                        |  [ext],  raruo(A, Ego), spice(Alter, A).
;; 0
%dero[aux]53:0, spice:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, Ego), gender(D, Alter).
;; 1
%dero[aux]53:0, spice:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, Ego), gender(D, Alter).
;; 2
%dero[aux]53:1, raruo:0, sibling:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), husband(Alter, C).
;; 3
%dero[aux]53:1, raruo:0, sibling:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), wife(Alter, C).
;; 4
%dero[aux]53:1, raruo:1, generation[aux]53:0, sibling:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), husband(Alter, C).
;; 5
%dero[aux]53:1, raruo:1, generation[aux]53:0, sibling:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), wife(Alter, C).
;; 6
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), husband(Alter, E).
;; 7
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), wife(Alter, E).
;; 8
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), husband(Alter, E).
;; 9
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), wife(Alter, E).
;; 10
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 11
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 12
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 13
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 14
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 15
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 16
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 17
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 18
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 19
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 20
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 21
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 22
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 23
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 24
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 25
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 26
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), husband(Alter, E).
;; 27
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), wife(Alter, E).
;; 28
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), husband(Alter, E).
;; 29
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(E, D), gender(F, Ego), gender(G, E), not(equal(F, G)), wife(Alter, E).
;; 30
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 31
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 32
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 33
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 34
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 35
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 36
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 37
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 38
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 39
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 40
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 41
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 42
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 43
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).
;; 44
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), husband(Alter, G).
;; 45
%dero[aux]53:1, raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(G, F), gender(H, Ego), gender(I, G), not(equal(H, I)), wife(Alter, G).


generation[aux]53(Alter, Ego) :-  sibling(Alter, Ego).
                              |   parents(A, Ego), generation[aux]53gs(B, A), child(Alter, B).
;; 0
%generation[aux]53:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 4
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 5
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 6
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 7
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 8
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 9
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 10
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 11
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 12
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 13
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 14
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 15
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 16
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 17
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 18
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 19
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 20
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 21
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 22
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 23
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 24
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 25
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 26
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 27
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 28
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 29
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 30
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 31
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 32
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 33
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 34
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 35
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 36
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 37
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 38
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 39
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 40
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 41
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 42
%generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 43
%generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 44
%generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 45
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 46
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 47
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 48
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 49
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 50
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 51
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 52
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 53
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 54
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 55
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 56
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 57
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 58
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 59
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 60
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 61
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 62
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 63
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 64
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 65
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 66
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 67
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 68
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 69
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 70
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 71
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 72
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 73
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 74
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 75
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 76
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 77
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 78
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 79
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 80
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 81
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 82
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 83
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 84
%generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).


generation[aux]53gs(Alter, Ego) :-  siblings(Alter, Ego).
                                |   parents(A, Ego), generation[aux]53gs(B, A), children(Alter, B).
;; 0
%generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 7
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 8
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 9
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 10
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 11
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 12
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 13
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 14
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 15
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 16
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 17
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 18
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 19
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 20
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 21
%generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 22
%generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 23
%generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 24
%generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 25
%generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 26
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 27
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 28
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 29
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 30
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 31
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 32
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 33
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 34
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 35
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 36
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 37
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 38
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 39
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 40
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 41
%generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).


generation[aux]53junior(Alter, Ego) :-  sibling(Alter, Ego), younger(Alter, Ego).
                                    |   parents(A, Ego), generation[aux]53juniorGS(B, A), child(Alter, B).
;; 0
%generation[aux]53junior:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), younger(Alter, Ego).
;; 1
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), child(Alter, D).
;; 2
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), younger(D, A), child(Alter, D).
;; 3
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F).
;; 4
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F).
;; 5
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F).
;; 6
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F).
;; 7
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 8
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 9
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 10
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 11
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 12
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 13
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 14
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 15
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 16
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 17
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 18
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 19
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 20
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 21
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 22
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 23
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F).
;; 24
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F).
;; 25
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F).
;; 26
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F).
;; 27
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 28
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 29
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 30
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 31
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 32
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 33
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 34
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 35
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 36
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 37
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 38
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 39
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 40
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 41
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 42
%generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 43
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), child(Alter, D).
;; 44
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), younger(D, A), child(Alter, D).
;; 45
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F).
;; 46
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F).
;; 47
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F).
;; 48
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F).
;; 49
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 50
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 51
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 52
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 53
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 54
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 55
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 56
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 57
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 58
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 59
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 60
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 61
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 62
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 63
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 64
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 65
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F).
;; 66
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F).
;; 67
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F).
;; 68
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F).
;; 69
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 70
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 71
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 72
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 73
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 74
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 75
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 76
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 77
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 78
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 79
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 80
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 81
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H).
;; 82
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 83
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 84
%generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H).


generation[aux]53juniorGS(Alter, Ego) :-  siblings(Alter, Ego), younger(Alter, Ego).
                                      |   parents(A, Ego), generation[aux]53juniorGS(B, A), children(Alter, B).
;; 0
%generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), younger(Alter, Ego).
;; 1
%generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), younger(Alter, Ego).
;; 2
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), son(Alter, D).
;; 3
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), daughter(Alter, D).
;; 4
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), younger(D, A), son(Alter, D).
;; 5
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), younger(D, A), daughter(Alter, D).
;; 6
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), son(Alter, F).
;; 7
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), daughter(Alter, F).
;; 8
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), son(Alter, F).
;; 9
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), daughter(Alter, F).
;; 10
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), son(Alter, F).
;; 11
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), daughter(Alter, F).
;; 12
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), son(Alter, F).
;; 13
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), daughter(Alter, F).
;; 14
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), son(Alter, F).
;; 15
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), daughter(Alter, F).
;; 16
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), son(Alter, F).
;; 17
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), daughter(Alter, F).
;; 18
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), son(Alter, F).
;; 19
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), daughter(Alter, F).
;; 20
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), son(Alter, F).
;; 21
%generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), daughter(Alter, F).
;; 22
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), son(Alter, D).
;; 23
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), daughter(Alter, D).
;; 24
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), younger(D, A), son(Alter, D).
;; 25
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), younger(D, A), daughter(Alter, D).
;; 26
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), son(Alter, F).
;; 27
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), daughter(Alter, F).
;; 28
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), son(Alter, F).
;; 29
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), daughter(Alter, F).
;; 30
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), son(Alter, F).
;; 31
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), daughter(Alter, F).
;; 32
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), son(Alter, F).
;; 33
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), daughter(Alter, F).
;; 34
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), son(Alter, F).
;; 35
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), daughter(Alter, F).
;; 36
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), son(Alter, F).
;; 37
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), daughter(Alter, F).
;; 38
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), son(Alter, F).
;; 39
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), daughter(Alter, F).
;; 40
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), son(Alter, F).
;; 41
%generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), daughter(Alter, F).


generation[aux]53senior(Alter, Ego) :-  sibling(Alter, Ego), elder(Alter, Ego).
                                    |   parents(A, Ego), generation[aux]53seniorGS(B, A), child(Alter, B).
;; 0
%generation[aux]53senior:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), elder(Alter, Ego).
;; 1
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), child(Alter, D).
;; 2
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), elder(D, A), child(Alter, D).
;; 3
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F).
;; 4
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F).
;; 5
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F).
;; 6
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F).
;; 7
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 8
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 9
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 10
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 11
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 12
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 13
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 14
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 15
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 16
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 17
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 18
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 19
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 20
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 21
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 22
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 23
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F).
;; 24
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F).
;; 25
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F).
;; 26
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F).
;; 27
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 28
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 29
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 30
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 31
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 32
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 33
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 34
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 35
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 36
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 37
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 38
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 39
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 40
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 41
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 42
%generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 43
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), child(Alter, D).
;; 44
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), elder(D, A), child(Alter, D).
;; 45
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F).
;; 46
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F).
;; 47
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F).
;; 48
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F).
;; 49
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 50
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 51
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 52
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 53
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 54
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 55
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 56
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 57
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 58
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 59
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 60
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 61
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 62
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 63
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 64
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 65
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F).
;; 66
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F).
;; 67
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F).
;; 68
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F).
;; 69
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 70
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 71
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 72
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 73
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 74
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 75
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 76
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 77
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 78
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 79
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 80
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).
;; 81
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H).
;; 82
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H).
;; 83
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H).
;; 84
%generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H).


generation[aux]53seniorGS(Alter, Ego) :-  siblings(Alter, Ego), elder(Alter, Ego).
                                      |   parents(A, Ego), generation[aux]53seniorGS(B, A), children(Alter, B).
;; 0
%generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), elder(Alter, Ego).
;; 1
%generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), elder(Alter, Ego).
;; 2
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), son(Alter, D).
;; 3
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), daughter(Alter, D).
;; 4
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), elder(D, A), son(Alter, D).
;; 5
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), elder(D, A), daughter(Alter, D).
;; 6
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), son(Alter, F).
;; 7
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), daughter(Alter, F).
;; 8
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), son(Alter, F).
;; 9
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), daughter(Alter, F).
;; 10
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), son(Alter, F).
;; 11
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), daughter(Alter, F).
;; 12
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), son(Alter, F).
;; 13
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), daughter(Alter, F).
;; 14
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), son(Alter, F).
;; 15
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), daughter(Alter, F).
;; 16
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), son(Alter, F).
;; 17
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), daughter(Alter, F).
;; 18
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), son(Alter, F).
;; 19
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), daughter(Alter, F).
;; 20
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), son(Alter, F).
;; 21
%generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), daughter(Alter, F).
;; 22
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), son(Alter, D).
;; 23
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), daughter(Alter, D).
;; 24
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), elder(D, A), son(Alter, D).
;; 25
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), elder(D, A), daughter(Alter, D).
;; 26
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), son(Alter, F).
;; 27
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), daughter(Alter, F).
;; 28
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), son(Alter, F).
;; 29
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), daughter(Alter, F).
;; 30
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), son(Alter, F).
;; 31
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), daughter(Alter, F).
;; 32
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), son(Alter, F).
;; 33
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), daughter(Alter, F).
;; 34
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), son(Alter, F).
;; 35
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), daughter(Alter, F).
;; 36
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), son(Alter, F).
;; 37
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), daughter(Alter, F).
;; 38
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), son(Alter, F).
;; 39
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), daughter(Alter, F).
;; 40
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), son(Alter, F).
;; 41
%generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), daughter(Alter, F).


generation[aux]53small(Alter, Ego) :-  sibling(Alter, Ego).
                                   |   parents(A, Ego), siblings(B, A), child(Alter, B).
;; 0
%generation[aux]53small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 4
%generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).


generation[aux]53smallGS(Alter, Ego) :-  siblings(Alter, Ego).
                                     |   parents(A, Ego), siblings(B, A), children(Alter, B).
;; 0
%generation[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%generation[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%generation[aux]53smallGS:1, parents:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%generation[aux]53smallGS:1, parents:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 7
%generation[aux]53smallGS:1, parents:1, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 8
%generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 9
%generation[aux]53smallGS:1, parents:1, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).


half_brother(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
                         |   mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).
;; 0
%half_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
;; 1
%half_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).


half_sister(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
                        |   mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).
;; 0
%half_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
;; 1
%half_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).


netakatu(Alter, Ego) :-  sibling(Alter, Ego), gender(A, Ego), gender(A, Alter), younger(Alter, Ego).
                     |  [ext],  generation[aux]53junior(Alter, Ego), gender(A, Ego), gender(A, Alter).
{"Bro_FaBroDa_FaBroSo_FaFaBroDaDa_FaFaBroDaSo_FaFaBroSoDa_FaFaBroSoSo_FaFaFaBroDaDaDa_FaFaFaBroDaDaSo_FaFaFaBroDaSoDa_FaFaFaBroDaSoSo_FaFaFaBroSoDaDa_FaFaFaBroSoDaSo_FaFaFaBroSoSoDa_FaFaFaBroSoSoSo_FaFaFaSisDaDaDa_FaFaFaSisDaDaSo_FaFaFaSisDaSoDa_FaFaFaSisDaSoSo_FaFaFaSisSoDaDa_FaFaFaSisSoDaSo_FaFaFaSisSoSoDa_FaFaFaSisSoSoSo_FaFaMoBroDaDaDa_FaFaMoBroDaDaSo_FaFaMoBroDaSoDa_FaFaMoBroDaSoSo_FaFaMoBroSoDaDa_FaFaMoBroSoDaSo_FaFaMoBroSoSoDa_FaFaMoBroSoSoSo_FaFaMoSisDaDaDa_FaFaMoSisDaDaSo_FaFaMoSisDaSoDa_FaFaMoSisDaSoSo_FaFaMoSisSoDaDa_FaFaMoSisSoDaSo_FaFaMoSisSoSoDa_FaFaMoSisSoSoSo_FaFaSisDaDa_FaFaSisDaSo_FaFaSisSoDa_FaFaSisSoSo_FaMoBroDaDa_FaMoBroDaSo_FaMoBroSoDa_FaMoBroSoSo_FaMoFaBroDaDaDa_FaMoFaBroDaDaSo_FaMoFaBroDaSoDa_FaMoFaBroDaSoSo_FaMoFaBroSoDaDa_FaMoFaBroSoDaSo_FaMoFaBroSoSoDa_FaMoFaBroSoSoSo_FaMoFaSisDaDaDa_FaMoFaSisDaDaSo_FaMoFaSisDaSoDa_FaMoFaSisDaSoSo_FaMoFaSisSoDaDa_FaMoFaSisSoDaSo_FaMoFaSisSoSoDa_FaMoFaSisSoSoSo_FaMoMoBroDaDaDa_FaMoMoBroDaDaSo_FaMoMoBroDaSoDa_FaMoMoBroDaSoSo_FaMoMoBroSoDaDa_FaMoMoBroSoDaSo_FaMoMoBroSoSoDa_FaMoMoBroSoSoSo_FaMoMoSisDaDaDa_FaMoMoSisDaDaSo_FaMoMoSisDaSoDa_FaMoMoSisDaSoSo_FaMoMoSisSoDaDa_FaMoMoSisSoDaSo_FaMoMoSisSoSoDa_FaMoMoSisSoSoSo_FaMoSisDaDa_FaMoSisDaSo_FaMoSisSoDa_FaMoSisSoSo_FaSisDa_FaSisSo_MoBroDa_MoBroSo_MoFaBroDaDa_MoFaBroDaSo_MoFaBroSoDa_MoFaBroSoSo_MoFaFaBroDaDaDa_MoFaFaBroDaDaSo_MoFaFaBroDaSoDa_MoFaFaBroDaSoSo_MoFaFaBroSoDaDa_MoFaFaBroSoDaSo_MoFaFaBroSoSoDa_MoFaFaBroSoSoSo_MoFaFaSisDaDaDa_MoFaFaSisDaDaSo_MoFaFaSisDaSoDa_MoFaFaSisDaSoSo_MoFaFaSisSoDaDa_MoFaFaSisSoDaSo_MoFaFaSisSoSoDa_MoFaFaSisSoSoSo_MoFaMoBroDaDaDa_MoFaMoBroDaDaSo_MoFaMoBroDaSoDa_MoFaMoBroDaSoSo_MoFaMoBroSoDaDa_MoFaMoBroSoDaSo_MoFaMoBroSoSoDa_MoFaMoBroSoSoSo_MoFaMoSisDaDaDa_MoFaMoSisDaDaSo_MoFaMoSisDaSoDa_MoFaMoSisDaSoSo_MoFaMoSisSoDaDa_MoFaMoSisSoDaSo_MoFaMoSisSoSoDa_MoFaMoSisSoSoSo_MoFaSisDaDa_MoFaSisDaSo_MoFaSisSoDa_MoFaSisSoSo_MoMoBroDaDa_MoMoBroDaSo_MoMoBroSoDa_MoMoBroSoSo_MoMoFaBroDaDaDa_MoMoFaBroDaDaSo_MoMoFaBroDaSoDa_MoMoFaBroDaSoSo_MoMoFaBroSoDaDa_MoMoFaBroSoDaSo_MoMoFaBroSoSoDa_MoMoFaBroSoSoSo_MoMoFaSisDaDaDa_MoMoFaSisDaDaSo_MoMoFaSisDaSoDa_MoMoFaSisDaSoSo_MoMoFaSisSoDaDa_MoMoFaSisSoDaSo_MoMoFaSisSoSoDa_MoMoFaSisSoSoSo_MoMoMoBroDaDaDa_MoMoMoBroDaDaSo_MoMoMoBroDaSoDa_MoMoMoBroDaSoSo_MoMoMoBroSoDaDa_MoMoMoBroSoDaSo_MoMoMoBroSoSoDa_MoMoMoBroSoSoSo_MoMoMoSisDaDaDa_MoMoMoSisDaDaSo_MoMoMoSisDaSoDa_MoMoMoSisDaSoSo_MoMoMoSisSoDaDa_MoMoMoSisSoDaSo_MoMoMoSisSoSoDa_MoMoMoSisSoSoSo_MoMoSisDaDa_MoMoSisDaSo_MoMoSisSoDa_MoMoSisSoSo_MoSisDa_MoSisSo_Sis"}
;; 0
%netakatu:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(C, Alter), younger(Alter, Ego).
;; 1
%netakatu:1, generation[aux]53junior:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), younger(Alter, Ego), gender(C, Ego), gender(C, Alter).
;; 2
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 3
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), younger(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 4
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 5
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 6
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 7
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 8
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 9
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 10
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 11
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 12
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 13
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 14
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 15
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 16
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 17
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 18
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 19
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 20
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 21
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 22
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 23
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 24
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 25
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 26
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 27
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 28
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 29
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 30
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 31
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 32
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 33
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 34
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 35
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 36
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 37
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 38
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 39
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 40
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 41
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 42
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 43
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 44
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 45
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), younger(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 46
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 47
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 48
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 49
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 50
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 51
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 52
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 53
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 54
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 55
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 56
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 57
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 58
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 59
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 60
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 61
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 62
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 63
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 64
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 65
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 66
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 67
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 68
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 69
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 70
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 71
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 72
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 73
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 74
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 75
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 76
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 77
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 78
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 79
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 80
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 81
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 82
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 83
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 84
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 85
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 86
%netakatu:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(C, Alter), younger(Alter, Ego).
;; 87
%netakatu:1, generation[aux]53junior:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), younger(Alter, Ego), gender(C, Ego), gender(C, Alter).
;; 88
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 89
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), younger(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 90
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 91
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 92
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 93
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 94
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroSoSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 95
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroSoDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 96
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 97
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 98
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 99
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 100
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 101
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 102
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 103
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 104
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 105
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 106
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisSoSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 107
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisSoDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 108
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisDaSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 109
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisDaDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 110
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 111
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 112
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 113
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 114
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroSoSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 115
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroSoDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 116
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroDaSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 117
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroDaDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 118
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 119
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 120
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisDaSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 121
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisDaDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 122
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 123
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 124
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroDaSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 125
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroDaDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 126
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisSoSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 127
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisSoDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 128
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisDaSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 129
%netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisDaDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 130
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), younger(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 131
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), younger(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 132
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 133
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 134
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 135
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 136
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroSoSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 137
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroSoDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 138
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroDaSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 139
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroDaDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 140
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisSoSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 141
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisSoDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 142
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 143
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 144
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroSoSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 145
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroSoDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 146
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 147
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 148
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisSoSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 149
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisSoDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 150
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisDaSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 151
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisDaDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 152
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 153
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 154
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 155
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 156
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroSoSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 157
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroSoDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 158
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 159
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 160
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 161
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 162
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 163
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 164
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 165
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 166
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 167
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 168
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisSoSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 169
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisSoDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 170
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisDaSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 171
%netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisDaDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).


netavava(Alter, Ego) :-  sibling(Alter, Ego), gender(A, Ego), gender(A, Alter), elder(Alter, Ego).
                     |  [ext],  generation[aux]53senior(Alter, Ego), gender(A, Ego), gender(A, Alter).
{"Bro_FaBroDa_FaBroSo_FaFaBroDaDa_FaFaBroDaSo_FaFaBroSoDa_FaFaBroSoSo_FaFaFaBroDaDaDa_FaFaFaBroDaDaSo_FaFaFaBroDaSoDa_FaFaFaBroDaSoSo_FaFaFaBroSoDaDa_FaFaFaBroSoDaSo_FaFaFaBroSoSoDa_FaFaFaBroSoSoSo_FaFaFaSisDaDaDa_FaFaFaSisDaDaSo_FaFaFaSisDaSoDa_FaFaFaSisDaSoSo_FaFaFaSisSoDaDa_FaFaFaSisSoDaSo_FaFaFaSisSoSoDa_FaFaFaSisSoSoSo_FaFaMoBroDaDaDa_FaFaMoBroDaDaSo_FaFaMoBroDaSoDa_FaFaMoBroDaSoSo_FaFaMoBroSoDaDa_FaFaMoBroSoDaSo_FaFaMoBroSoSoDa_FaFaMoBroSoSoSo_FaFaMoSisDaDaDa_FaFaMoSisDaDaSo_FaFaMoSisDaSoDa_FaFaMoSisDaSoSo_FaFaMoSisSoDaDa_FaFaMoSisSoDaSo_FaFaMoSisSoSoDa_FaFaMoSisSoSoSo_FaFaSisDaDa_FaFaSisDaSo_FaFaSisSoDa_FaFaSisSoSo_FaMoBroDaDa_FaMoBroDaSo_FaMoBroSoDa_FaMoBroSoSo_FaMoFaBroDaDaDa_FaMoFaBroDaDaSo_FaMoFaBroDaSoDa_FaMoFaBroDaSoSo_FaMoFaBroSoDaDa_FaMoFaBroSoDaSo_FaMoFaBroSoSoDa_FaMoFaBroSoSoSo_FaMoFaSisDaDaDa_FaMoFaSisDaDaSo_FaMoFaSisDaSoDa_FaMoFaSisDaSoSo_FaMoFaSisSoDaDa_FaMoFaSisSoDaSo_FaMoFaSisSoSoDa_FaMoFaSisSoSoSo_FaMoMoBroDaDaDa_FaMoMoBroDaDaSo_FaMoMoBroDaSoDa_FaMoMoBroDaSoSo_FaMoMoBroSoDaDa_FaMoMoBroSoDaSo_FaMoMoBroSoSoDa_FaMoMoBroSoSoSo_FaMoMoSisDaDaDa_FaMoMoSisDaDaSo_FaMoMoSisDaSoDa_FaMoMoSisDaSoSo_FaMoMoSisSoDaDa_FaMoMoSisSoDaSo_FaMoMoSisSoSoDa_FaMoMoSisSoSoSo_FaMoSisDaDa_FaMoSisDaSo_FaMoSisSoDa_FaMoSisSoSo_FaSisDa_FaSisSo_MoBroDa_MoBroSo_MoFaBroDaDa_MoFaBroDaSo_MoFaBroSoDa_MoFaBroSoSo_MoFaFaBroDaDaDa_MoFaFaBroDaDaSo_MoFaFaBroDaSoDa_MoFaFaBroDaSoSo_MoFaFaBroSoDaDa_MoFaFaBroSoDaSo_MoFaFaBroSoSoDa_MoFaFaBroSoSoSo_MoFaFaSisDaDaDa_MoFaFaSisDaDaSo_MoFaFaSisDaSoDa_MoFaFaSisDaSoSo_MoFaFaSisSoDaDa_MoFaFaSisSoDaSo_MoFaFaSisSoSoDa_MoFaFaSisSoSoSo_MoFaMoBroDaDaDa_MoFaMoBroDaDaSo_MoFaMoBroDaSoDa_MoFaMoBroDaSoSo_MoFaMoBroSoDaDa_MoFaMoBroSoDaSo_MoFaMoBroSoSoDa_MoFaMoBroSoSoSo_MoFaMoSisDaDaDa_MoFaMoSisDaDaSo_MoFaMoSisDaSoDa_MoFaMoSisDaSoSo_MoFaMoSisSoDaDa_MoFaMoSisSoDaSo_MoFaMoSisSoSoDa_MoFaMoSisSoSoSo_MoFaSisDaDa_MoFaSisDaSo_MoFaSisSoDa_MoFaSisSoSo_MoMoBroDaDa_MoMoBroDaSo_MoMoBroSoDa_MoMoBroSoSo_MoMoFaBroDaDaDa_MoMoFaBroDaDaSo_MoMoFaBroDaSoDa_MoMoFaBroDaSoSo_MoMoFaBroSoDaDa_MoMoFaBroSoDaSo_MoMoFaBroSoSoDa_MoMoFaBroSoSoSo_MoMoFaSisDaDaDa_MoMoFaSisDaDaSo_MoMoFaSisDaSoDa_MoMoFaSisDaSoSo_MoMoFaSisSoDaDa_MoMoFaSisSoDaSo_MoMoFaSisSoSoDa_MoMoFaSisSoSoSo_MoMoMoBroDaDaDa_MoMoMoBroDaDaSo_MoMoMoBroDaSoDa_MoMoMoBroDaSoSo_MoMoMoBroSoDaDa_MoMoMoBroSoDaSo_MoMoMoBroSoSoDa_MoMoMoBroSoSoSo_MoMoMoSisDaDaDa_MoMoMoSisDaDaSo_MoMoMoSisDaSoDa_MoMoMoSisDaSoSo_MoMoMoSisSoDaDa_MoMoMoSisSoDaSo_MoMoMoSisSoSoDa_MoMoMoSisSoSoSo_MoMoSisDaDa_MoMoSisDaSo_MoMoSisSoDa_MoMoSisSoSo_MoSisDa_MoSisSo_Sis"}
;; 0
%netavava:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(C, Alter), elder(Alter, Ego).
;; 1
%netavava:1, generation[aux]53senior:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), elder(Alter, Ego), gender(C, Ego), gender(C, Alter).
;; 2
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 3
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), elder(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 4
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 5
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 6
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 7
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 8
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 9
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 10
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 11
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 12
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 13
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 14
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 15
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 16
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 17
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 18
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 19
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 20
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 21
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 22
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 23
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 24
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 25
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 26
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 27
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 28
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 29
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 30
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 31
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 32
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 33
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 34
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 35
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 36
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 37
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 38
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 39
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 40
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 41
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 42
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 43
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 44
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 45
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), elder(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 46
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 47
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 48
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 49
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 50
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 51
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 52
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 53
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 54
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 55
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 56
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 57
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 58
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 59
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 60
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 61
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 62
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 63
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 64
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 65
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 66
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 67
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 68
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 69
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 70
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 71
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 72
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 73
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 74
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 75
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 76
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 77
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 78
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 79
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 80
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 81
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 82
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 83
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 84
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 85
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 86
%netavava:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(C, Alter), elder(Alter, Ego).
;; 87
%netavava:1, generation[aux]53senior:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), elder(Alter, Ego), gender(C, Ego), gender(C, Alter).
;; 88
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 89
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), elder(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 90
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 91
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 92
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 93
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 94
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroSoSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 95
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroSoDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 96
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 97
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoBroDaDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 98
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 99
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisSoDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 100
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 101
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 102
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 103
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroSoDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 104
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 105
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 106
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisSoSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 107
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisSoDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 108
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisDaSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 109
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaSisDaDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 110
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 111
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 112
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 113
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 114
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroSoSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 115
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroSoDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 116
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroDaSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 117
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoBroDaDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 118
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 119
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 120
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisDaSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 121
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisDaDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 122
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 123
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 124
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroDaSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 125
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroDaDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 126
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisSoSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 127
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisSoDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 128
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisDaSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 129
%netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaSisDaDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 130
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), elder(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 131
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), elder(D, A), child(Alter, D), gender(E, Ego), gender(E, Alter).
;; 132
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 133
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 134
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 135
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 136
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroSoSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 137
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroSoDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 138
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroDaSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 139
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoBroDaDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 140
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisSoSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 141
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisSoDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 142
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 143
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 144
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroSoSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 145
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroSoDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 146
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 147
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 148
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisSoSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 149
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisSoDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 150
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisDaSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 151
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaSisDaDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 152
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 153
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 154
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), son(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 155
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), daughter(F, E), child(Alter, F), gender(G, Ego), gender(G, Alter).
;; 156
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroSoSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 157
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroSoDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 158
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 159
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoBroDaDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 160
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 161
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 162
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 163
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisDaDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 164
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 165
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 166
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 167
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroDaDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 168
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisSoSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 169
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisSoDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 170
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisDaSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), son(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).
;; 171
%netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaSisDaDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), daughter(H, G), child(Alter, H), gender(I, Ego), gender(I, Alter).


neviniavi(Alter, Ego) :-  daughter(A, Ego), husband(Alter, A).
                      |  [ext],  siblings(A, Ego), daughter(B, A), husband(Alter, B).
                      |  [ext],  parents(A, Ego), siblings(B, A), daughter(C, B), husband(Alter, C).
                      |  [ext],  parents(A, Ego), sister(B, A), husband(Alter, B).
                      |  [ext],  parents(A, Ego), parents(B, A), siblings(C, B), daughter(D, C), husband(Alter, D).
                      |  [ext],  parents(A, Ego), parents(B, A), sister(C, B), husband(Alter, C).
                      |  [ext],  spice(A, Ego), siblings(B, A), daughter(C, B), husband(Alter, C).
                      |  [ext],  spice(A, Ego), parents(B, A), siblings(C, B), daughter(D, C), husband(Alter, D).
                      |  [ext],  spice(A, Ego), parents(B, A), sister(C, B), husband(Alter, C).
                      |  [ext],  spice(A, Ego), parents(B, A), parents(C, B), siblings(D, C), daughter(E, D), husband(Alter, E).
                      |  [ext],  spice(A, Ego), parents(B, A), parents(C, B), sister(D, C), husband(Alter, D).
{"BroDaHu_DaHu_FaBroDaHu_FaFaBroDaHu_FaFaSisDaHu_FaFaSisHu_FaMoBroDaHu_FaMoSisDaHu_FaMoSisHu_FaSisDaHu_FaSisHu_HuBroDaHu_HuFaBroDaHu_HuFaFaBroDaHu_HuFaFaSisDaHu_HuFaFaSisHu_HuFaMoBroDaHu_HuFaMoSisDaHu_HuFaMoSisHu_HuFaSisDaHu_HuFaSisHu_HuMoBroDaHu_HuMoFaBroDaHu_HuMoFaSisDaHu_HuMoFaSisHu_HuMoMoBroDaHu_HuMoMoSisDaHu_HuMoMoSisHu_HuMoSisDaHu_HuMoSisHu_HuSisDaHu_MoBroDaHu_MoFaBroDaHu_MoFaSisDaHu_MoFaSisHu_MoMoBroDaHu_MoMoSisDaHu_MoMoSisHu_MoSisDaHu_MoSisHu_SisDaHu_WiBroDaHu_WiFaBroDaHu_WiFaFaBroDaHu_WiFaFaSisDaHu_WiFaFaSisHu_WiFaMoBroDaHu_WiFaMoSisDaHu_WiFaMoSisHu_WiFaSisDaHu_WiFaSisHu_WiMoBroDaHu_WiMoFaBroDaHu_WiMoFaSisDaHu_WiMoFaSisHu_WiMoMoBroDaHu_WiMoMoSisDaHu_WiMoMoSisHu_WiMoSisDaHu_WiMoSisHu_WiSisDaHu"}
;; 0
%neviniavi:0%
 Lvl=-1,  PC=1, S=1, Star=0,  {DaHu}  
 daughter(A, Ego), husband(Alter, A).
;; 1
%neviniavi:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {BroDaHu}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), daughter(D, C), husband(Alter, D).
;; 2
%neviniavi:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SisDaHu}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), daughter(D, C), husband(Alter, D).
;; 3
%neviniavi:2, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoBroDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 4
%neviniavi:2, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(Alter, E).
;; 5
%neviniavi:2, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroDaHu}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 6
%neviniavi:2, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaSisDaHu}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(Alter, E).
;; 7
%neviniavi:3, parents:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).
;; 8
%neviniavi:3, parents:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaSisHu}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), husband(Alter, D).
;; 9
%neviniavi:4, parents:0, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoBroDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 10
%neviniavi:4, parents:0, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(Alter, F).
;; 11
%neviniavi:4, parents:0, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 12
%neviniavi:4, parents:0, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaSisDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(Alter, F).
;; 13
%neviniavi:4, parents:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoBroDaHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 14
%neviniavi:4, parents:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisDaHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(Alter, F).
;; 15
%neviniavi:4, parents:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroDaHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 16
%neviniavi:4, parents:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaSisDaHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(Alter, F).
;; 17
%neviniavi:5, parents:0, parents:0, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoMoSisHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 18
%neviniavi:5, parents:0, parents:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoFaSisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 19
%neviniavi:5, parents:1, parents:0, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaMoSisHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 20
%neviniavi:5, parents:1, parents:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaSisHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 21
%neviniavi:6, spice:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {HuBroDaHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 22
%neviniavi:6, spice:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {HuSisDaHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(Alter, E).
;; 23
%neviniavi:6, spice:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiBroDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(E, D), husband(Alter, E).
;; 24
%neviniavi:6, spice:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiSisDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(E, D), husband(Alter, E).
;; 25
%neviniavi:7, spice:0, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoBroDaHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 26
%neviniavi:7, spice:0, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoSisDaHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(Alter, F).
;; 27
%neviniavi:7, spice:0, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaBroDaHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 28
%neviniavi:7, spice:0, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaSisDaHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(Alter, F).
;; 29
%neviniavi:7, spice:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoBroDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 30
%neviniavi:7, spice:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoSisDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(Alter, F).
;; 31
%neviniavi:7, spice:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaBroDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), husband(Alter, F).
;; 32
%neviniavi:7, spice:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaSisDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), husband(Alter, F).
;; 33
%neviniavi:8, spice:0, parents:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 34
%neviniavi:8, spice:0, parents:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuFaSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 35
%neviniavi:8, spice:1, parents:0, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 36
%neviniavi:8, spice:1, parents:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiFaSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), husband(Alter, E).
;; 37
%neviniavi:9, spice:0, parents:0, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoMoBroDaHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), husband(Alter, G).
;; 38
%neviniavi:9, spice:0, parents:0, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoMoSisDaHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), husband(Alter, G).
;; 39
%neviniavi:9, spice:0, parents:0, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoFaBroDaHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), husband(Alter, G).
;; 40
%neviniavi:9, spice:0, parents:0, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoFaSisDaHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), husband(Alter, G).
;; 41
%neviniavi:9, spice:0, parents:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaMoBroDaHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), husband(Alter, G).
;; 42
%neviniavi:9, spice:0, parents:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaMoSisDaHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), husband(Alter, G).
;; 43
%neviniavi:9, spice:0, parents:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaFaBroDaHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), husband(Alter, G).
;; 44
%neviniavi:9, spice:0, parents:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaFaSisDaHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), husband(Alter, G).
;; 45
%neviniavi:9, spice:1, parents:0, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoMoBroDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), husband(Alter, G).
;; 46
%neviniavi:9, spice:1, parents:0, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoMoSisDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), husband(Alter, G).
;; 47
%neviniavi:9, spice:1, parents:0, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoFaBroDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), husband(Alter, G).
;; 48
%neviniavi:9, spice:1, parents:0, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoFaSisDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), husband(Alter, G).
;; 49
%neviniavi:9, spice:1, parents:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaMoBroDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), husband(Alter, G).
;; 50
%neviniavi:9, spice:1, parents:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaMoSisDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), husband(Alter, G).
;; 51
%neviniavi:9, spice:1, parents:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaFaBroDaHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), husband(Alter, G).
;; 52
%neviniavi:9, spice:1, parents:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaFaSisDaHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), husband(Alter, G).
;; 53
%neviniavi:10, spice:0, parents:0, parents:0, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), husband(Alter, F).
;; 54
%neviniavi:10, spice:0, parents:0, parents:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), husband(Alter, F).
;; 55
%neviniavi:10, spice:0, parents:1, parents:0, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaMoSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), husband(Alter, F).
;; 56
%neviniavi:10, spice:0, parents:1, parents:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaFaSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), husband(Alter, F).
;; 57
%neviniavi:10, spice:1, parents:0, parents:0, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), husband(Alter, F).
;; 58
%neviniavi:10, spice:1, parents:0, parents:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), husband(Alter, F).
;; 59
%neviniavi:10, spice:1, parents:1, parents:0, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaMoSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), husband(Alter, F).
;; 60
%neviniavi:10, spice:1, parents:1, parents:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaFaSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), husband(Alter, F).


nio(Alter, Ego) :-  spice(A, Ego), parents(Alter, A).
                |  [ext],  spice(A, Ego), parents(B, A), square[aux]53smallGS(Alter, B).
                |  [ext],  spice(A, Ego), parents(B, A), square[aux]53smallGS(C, B), spouse(Alter, C).
{"HuFa_HuFaBro_HuFaBroWi_HuFaFa_HuFaFaBro_HuFaFaBroWi_HuFaFaFa_HuFaFaFaBro_HuFaFaFaBroWi_HuFaFaFaFa_HuFaFaFaMo_HuFaFaFaSis_HuFaFaFaSisHu_HuFaFaMo_HuFaFaMoBro_HuFaFaMoBroWi_HuFaFaMoFa_HuFaFaMoMo_HuFaFaMoSis_HuFaFaMoSisHu_HuFaFaSis_HuFaFaSisHu_HuFaMo_HuFaMoBro_HuFaMoBroWi_HuFaMoFa_HuFaMoFaBro_HuFaMoFaBroWi_HuFaMoFaFa_HuFaMoFaMo_HuFaMoFaSis_HuFaMoFaSisHu_HuFaMoMo_HuFaMoMoBro_HuFaMoMoBroWi_HuFaMoMoFa_HuFaMoMoMo_HuFaMoMoSis_HuFaMoMoSisHu_HuFaMoSis_HuFaMoSisHu_HuFaSis_HuFaSisHu_HuMo_HuMoBro_HuMoBroWi_HuMoFa_HuMoFaBro_HuMoFaBroWi_HuMoFaFa_HuMoFaFaBro_HuMoFaFaBroWi_HuMoFaFaFa_HuMoFaFaMo_HuMoFaFaSis_HuMoFaFaSisHu_HuMoFaMo_HuMoFaMoBro_HuMoFaMoBroWi_HuMoFaMoFa_HuMoFaMoMo_HuMoFaMoSis_HuMoFaMoSisHu_HuMoFaSis_HuMoFaSisHu_HuMoMo_HuMoMoBro_HuMoMoBroWi_HuMoMoFa_HuMoMoFaBro_HuMoMoFaBroWi_HuMoMoFaFa_HuMoMoFaMo_HuMoMoFaSis_HuMoMoFaSisHu_HuMoMoMo_HuMoMoMoBro_HuMoMoMoBroWi_HuMoMoMoFa_HuMoMoMoMo_HuMoMoMoSis_HuMoMoMoSisHu_HuMoMoSis_HuMoMoSisHu_HuMoSis_HuMoSisHu_WiFa_WiFaBro_WiFaBroWi_WiFaFa_WiFaFaBro_WiFaFaBroWi_WiFaFaFa_WiFaFaFaBro_WiFaFaFaBroWi_WiFaFaFaFa_WiFaFaFaMo_WiFaFaFaSis_WiFaFaFaSisHu_WiFaFaMo_WiFaFaMoBro_WiFaFaMoBroWi_WiFaFaMoFa_WiFaFaMoMo_WiFaFaMoSis_WiFaFaMoSisHu_WiFaFaSis_WiFaFaSisHu_WiFaMo_WiFaMoBro_WiFaMoBroWi_WiFaMoFa_WiFaMoFaBro_WiFaMoFaBroWi_WiFaMoFaFa_WiFaMoFaMo_WiFaMoFaSis_WiFaMoFaSisHu_WiFaMoMo_WiFaMoMoBro_WiFaMoMoBroWi_WiFaMoMoFa_WiFaMoMoMo_WiFaMoMoSis_WiFaMoMoSisHu_WiFaMoSis_WiFaMoSisHu_WiFaSis_WiFaSisHu_WiMo_WiMoBro_WiMoBroWi_WiMoFa_WiMoFaBro_WiMoFaBroWi_WiMoFaFa_WiMoFaFaBro_WiMoFaFaBroWi_WiMoFaFaFa_WiMoFaFaMo_WiMoFaFaSis_WiMoFaFaSisHu_WiMoFaMo_WiMoFaMoBro_WiMoFaMoBroWi_WiMoFaMoFa_WiMoFaMoMo_WiMoFaMoSis_WiMoFaMoSisHu_WiMoFaSis_WiMoFaSisHu_WiMoMo_WiMoMoBro_WiMoMoBroWi_WiMoMoFa_WiMoMoFaBro_WiMoMoFaBroWi_WiMoMoFaFa_WiMoMoFaMo_WiMoMoFaSis_WiMoMoFaSisHu_WiMoMoMo_WiMoMoMoBro_WiMoMoMoBroWi_WiMoMoMoFa_WiMoMoMoMo_WiMoMoMoSis_WiMoMoMoSisHu_WiMoMoSis_WiMoMoSisHu_WiMoSis_WiMoSisHu"}
;; 0
%nio:0, spice:0, parents:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuMo}  
 husband(A, Ego), mother(Alter, A).
;; 1
%nio:0, spice:0, parents:1%
 Lvl=1,  PC=1, S=1, Star=0,  {HuFa}  
 husband(A, Ego), father(Alter, A).
;; 2
%nio:0, spice:1, parents:0%
 Lvl=1,  PC=1, S=1, Star=0,  {WiMo}  
 wife(A, Ego), mother(Alter, A).
;; 3
%nio:0, spice:1, parents:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiFa}  
 wife(A, Ego), father(Alter, A).
;; 4
%nio:1, spice:0, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 5
%nio:1, spice:0, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 6
%nio:1, spice:0, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(Alter, B).
;; 7
%nio:1, spice:0, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {HuMoFa}  
[ext],  husband(A, Ego), mother(B, A), father(Alter, B).
;; 8
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 9
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 10
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 11
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 12
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 13
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 14
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 15
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 16
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoFaBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 17
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoFaSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 18
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 19
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 20
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoFaBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 21
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoFaSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 22
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 23
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 24
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaMoBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 25
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaMoSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 26
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaMoMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 27
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaMoFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 28
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaFaBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 29
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaFaSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 30
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 31
%nio:1, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), father(Alter, D).
;; 32
%nio:1, spice:0, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 33
%nio:1, spice:0, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 34
%nio:1, spice:0, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuFaMo}  
[ext],  husband(A, Ego), father(B, A), mother(Alter, B).
;; 35
%nio:1, spice:0, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {HuFaFa}  
[ext],  husband(A, Ego), father(B, A), father(Alter, B).
;; 36
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaMoBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 37
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaMoSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 38
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 39
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 40
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoMoBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 41
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoMoSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 42
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 43
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 44
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoFaBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 45
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoFaSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 46
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoFaMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 47
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoFaFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 48
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaFaBro}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 49
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaFaSis}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 50
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 51
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 52
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaMoBro}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 53
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaMoSis}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 54
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaMoMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 55
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaMoFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 56
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaFaBro}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 57
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaFaSis}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 58
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 59
%nio:1, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), father(Alter, D).
;; 60
%nio:1, spice:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 61
%nio:1, spice:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 62
%nio:1, spice:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(Alter, B).
;; 63
%nio:1, spice:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {WiMoFa}  
[ext],  wife(A, Ego), mother(B, A), father(Alter, B).
;; 64
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 65
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 66
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 67
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 68
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 69
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 70
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 71
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 72
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoFaBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 73
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoFaSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 74
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 75
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 76
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoFaBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 77
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoFaSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 78
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 79
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 80
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaMoBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 81
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaMoSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 82
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaMoMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 83
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaMoFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 84
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaFaBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 85
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaFaSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 86
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 87
%nio:1, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), father(Alter, D).
;; 88
%nio:1, spice:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 89
%nio:1, spice:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 90
%nio:1, spice:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiFaMo}  
[ext],  wife(A, Ego), father(B, A), mother(Alter, B).
;; 91
%nio:1, spice:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {WiFaFa}  
[ext],  wife(A, Ego), father(B, A), father(Alter, B).
;; 92
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaMoBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 93
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaMoSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 94
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 95
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 96
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoMoBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 97
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoMoSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 98
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 99
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 100
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoFaBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 101
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoFaSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 102
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoFaMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 103
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoFaFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 104
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaFaBro}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 105
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaFaSis}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 106
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 107
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 108
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaMoBro}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 109
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaMoSis}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 110
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaMoMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 111
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaMoFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 112
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaFaBro}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 113
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaFaSis}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 114
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 115
%nio:1, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), father(Alter, D).
;; 116
%nio:2, spice:0, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 117
%nio:2, spice:0, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 118
%nio:2, spice:0, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=2, S=2, Star=0,  {HuMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), spouse(Alter, C).
;; 119
%nio:2, spice:0, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=2, S=2, Star=0,  {HuMoMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), spouse(Alter, C).
;; 120
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 121
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 122
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 123
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 124
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 125
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 126
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 127
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 128
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 129
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 130
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 131
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 132
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 133
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 134
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 135
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 136
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 137
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 138
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaMoFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 139
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaMoMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 140
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 141
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 142
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 143
%nio:2, spice:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 144
%nio:2, spice:0, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuFaBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 145
%nio:2, spice:0, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuFaSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 146
%nio:2, spice:0, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=2, S=2, Star=0,  {HuFaFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), spouse(Alter, C).
;; 147
%nio:2, spice:0, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=2, S=2, Star=0,  {HuFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), spouse(Alter, C).
;; 148
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaMoBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 149
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaMoSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 150
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 151
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 152
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoMoBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 153
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoMoSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 154
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 155
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 156
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoFaBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 157
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoFaSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 158
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoFaFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 159
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoFaMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 160
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaFaBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 161
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaFaSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 162
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 163
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 164
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaMoBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 165
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaMoSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 166
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaMoFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 167
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaMoMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 168
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaFaBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 169
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaFaSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 170
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 171
%nio:2, spice:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 172
%nio:2, spice:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 173
%nio:2, spice:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 174
%nio:2, spice:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=2, S=2, Star=0,  {WiMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), spouse(Alter, C).
;; 175
%nio:2, spice:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=2, S=2, Star=0,  {WiMoMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), spouse(Alter, C).
;; 176
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 177
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 178
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 179
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 180
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 181
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 182
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 183
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 184
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 185
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 186
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 187
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 188
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 189
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 190
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 191
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 192
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 193
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 194
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaMoFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 195
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaMoMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 196
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 197
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 198
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 199
%nio:2, spice:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 200
%nio:2, spice:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiFaBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 201
%nio:2, spice:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiFaSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 202
%nio:2, spice:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=2,  PC=2, S=2, Star=0,  {WiFaFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), spouse(Alter, C).
;; 203
%nio:2, spice:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=2,  PC=2, S=2, Star=0,  {WiFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), spouse(Alter, C).
;; 204
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaMoBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 205
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaMoSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 206
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 207
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 208
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoMoBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 209
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoMoSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 210
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 211
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 212
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoFaBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 213
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoFaSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 214
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoFaFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 215
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoFaMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 216
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaFaBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 217
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaFaSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 218
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 219
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 220
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaMoBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 221
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaMoSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 222
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaMoFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 223
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaMoMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 224
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaFaBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 225
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaFaSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 226
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 227
%nio:2, spice:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).


parents(Alter, Ego) :-  mother(Alter, Ego).
                    |   father(Alter, Ego).
;; 0
%parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(Alter, Ego).
;; 1
%parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).


raruo(Alter, Ego) :-  sibling(Alter, Ego), gender(A, Ego), gender(B, Alter), not(equal(A, B)).
                  |  [ext],  generation[aux]53(Alter, Ego), gender(A, Ego), gender(B, Alter), not(equal(A, B)).
{"Bro_FaBroDa_FaBroSo_FaFaBroDaDa_FaFaBroDaSo_FaFaBroSoDa_FaFaBroSoSo_FaFaSisDaDa_FaFaSisDaSo_FaFaSisSoDa_FaFaSisSoSo_FaMoBroDaDa_FaMoBroDaSo_FaMoBroSoDa_FaMoBroSoSo_FaMoSisDaDa_FaMoSisDaSo_FaMoSisSoDa_FaMoSisSoSo_FaSisDa_FaSisSo_MoBroDa_MoBroSo_MoFaBroDaDa_MoFaBroDaSo_MoFaBroSoDa_MoFaBroSoSo_MoFaSisDaDa_MoFaSisDaSo_MoFaSisSoDa_MoFaSisSoSo_MoMoBroDaDa_MoMoBroDaSo_MoMoBroSoDa_MoMoBroSoSo_MoMoSisDaDa_MoMoSisDaSo_MoMoSisSoDa_MoMoSisSoSo_MoSisDa_MoSisSo_Sis"}
;; 0
%raruo:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(D, Alter), not(equal(C, D)).
;; 1
%raruo:1, generation[aux]53:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(D, Alter), not(equal(C, D)).
;; 2
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), gender(E, Ego), gender(F, Alter), not(equal(E, F)).
;; 3
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), gender(E, Ego), gender(F, Alter), not(equal(E, F)).
;; 4
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 5
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 6
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 7
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 8
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 9
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 10
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 11
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 12
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), gender(E, Ego), gender(F, Alter), not(equal(E, F)).
;; 13
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), gender(E, Ego), gender(F, Alter), not(equal(E, F)).
;; 14
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 15
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 16
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 17
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 18
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroSoDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 19
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 20
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 21
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 22
%raruo:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(D, Alter), not(equal(C, D)).
;; 23
%raruo:1, generation[aux]53:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(D, Alter), not(equal(C, D)).
;; 24
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), gender(E, Ego), gender(F, Alter), not(equal(E, F)).
;; 25
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), gender(E, Ego), gender(F, Alter), not(equal(E, F)).
;; 26
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 27
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 28
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 29
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 30
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 31
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 32
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 33
%raruo:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 34
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D), gender(E, Ego), gender(F, Alter), not(equal(E, F)).
;; 35
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D), gender(E, Ego), gender(F, Alter), not(equal(E, F)).
;; 36
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 37
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 38
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 39
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 40
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 41
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 42
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).
;; 43
%raruo:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F), gender(G, Ego), gender(H, Alter), not(equal(G, H)).


rewa(Alter, Ego) :-  son(A, Ego), wife(Alter, A).
                 |  [ext],  siblings(A, Ego), son(B, A), wife(Alter, B).
                 |  [ext],  parents(A, Ego), siblings(B, A), son(C, B), wife(Alter, C).
                 |  [ext],  parents(A, Ego), brother(B, A), wife(Alter, B).
                 |  [ext],  parents(A, Ego), parents(B, A), siblings(C, B), son(D, C), wife(Alter, D).
                 |  [ext],  parents(A, Ego), parents(B, A), brother(C, B), wife(Alter, C).
                 |  [ext],  spice(A, Ego), siblings(B, A), son(C, B), wife(Alter, C).
                 |  [ext],  spice(A, Ego), parents(B, A), siblings(C, B), son(D, C), wife(Alter, D).
                 |  [ext],  spice(A, Ego), parents(B, A), brother(C, B), wife(Alter, C).
                 |  [ext],  spice(A, Ego), parents(B, A), parents(C, B), siblings(D, C), son(E, D), wife(Alter, E).
                 |  [ext],  spice(A, Ego), parents(B, A), parents(C, B), brother(D, C), wife(Alter, D).
{"BroSoWi_FaBroSoWi_FaBroWi_FaFaBroSoWi_FaFaBroWi_FaFaSisSoWi_FaMoBroSoWi_FaMoBroWi_FaMoSisSoWi_FaSisSoWi_HuBroSoWi_HuFaBroSoWi_HuFaBroWi_HuFaFaBroSoWi_HuFaFaBroWi_HuFaFaSisSoWi_HuFaMoBroSoWi_HuFaMoBroWi_HuFaMoSisSoWi_HuFaSisSoWi_HuMoBroSoWi_HuMoBroWi_HuMoFaBroSoWi_HuMoFaBroWi_HuMoFaSisSoWi_HuMoMoBroSoWi_HuMoMoBroWi_HuMoMoSisSoWi_HuMoSisSoWi_HuSisSoWi_MoBroSoWi_MoBroWi_MoFaBroSoWi_MoFaBroWi_MoFaSisSoWi_MoMoBroSoWi_MoMoBroWi_MoMoSisSoWi_MoSisSoWi_SisSoWi_SoWi_WiBroSoWi_WiFaBroSoWi_WiFaBroWi_WiFaFaBroSoWi_WiFaFaBroWi_WiFaFaSisSoWi_WiFaMoBroSoWi_WiFaMoBroWi_WiFaMoSisSoWi_WiFaSisSoWi_WiMoBroSoWi_WiMoBroWi_WiMoFaBroSoWi_WiMoFaBroWi_WiMoFaSisSoWi_WiMoMoBroSoWi_WiMoMoBroWi_WiMoMoSisSoWi_WiMoSisSoWi_WiSisSoWi"}
;; 0
%rewa:0%
 Lvl=-1,  PC=1, S=1, Star=0,  {SoWi}  
 son(A, Ego), wife(Alter, A).
;; 1
%rewa:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {BroSoWi}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), male(C), son(D, C), wife(Alter, D).
;; 2
%rewa:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SisSoWi}  
[ext],  mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), female(C), son(D, C), wife(Alter, D).
;; 3
%rewa:2, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoBroSoWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 4
%rewa:2, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisSoWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(Alter, E).
;; 5
%rewa:2, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 6
%rewa:2, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaSisSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(Alter, E).
;; 7
%rewa:3, parents:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).
;; 8
%rewa:3, parents:1, brother:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), wife(Alter, D).
;; 9
%rewa:4, parents:0, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoBroSoWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 10
%rewa:4, parents:0, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisSoWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 11
%rewa:4, parents:0, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroSoWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 12
%rewa:4, parents:0, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaSisSoWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 13
%rewa:4, parents:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoBroSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 14
%rewa:4, parents:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 15
%rewa:4, parents:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 16
%rewa:4, parents:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaSisSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 17
%rewa:5, parents:0, parents:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoMoBroWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 18
%rewa:5, parents:0, parents:1, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoFaBroWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 19
%rewa:5, parents:1, parents:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaMoBroWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 20
%rewa:5, parents:1, parents:1, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaBroWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 21
%rewa:6, spice:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {HuBroSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 22
%rewa:6, spice:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {HuSisSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(Alter, E).
;; 23
%rewa:6, spice:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiBroSoWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(E, D), wife(Alter, E).
;; 24
%rewa:6, spice:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=5, S=2, Star=0,  {WiSisSoWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(E, D), wife(Alter, E).
;; 25
%rewa:7, spice:0, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoBroSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 26
%rewa:7, spice:0, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoSisSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 27
%rewa:7, spice:0, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaBroSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 28
%rewa:7, spice:0, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaSisSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 29
%rewa:7, spice:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoBroSoWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 30
%rewa:7, spice:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoSisSoWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 31
%rewa:7, spice:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaBroSoWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), wife(Alter, F).
;; 32
%rewa:7, spice:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaSisSoWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), wife(Alter, F).
;; 33
%rewa:8, spice:0, parents:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 34
%rewa:8, spice:0, parents:1, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {HuFaBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 35
%rewa:8, spice:1, parents:0, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 36
%rewa:8, spice:1, parents:1, brother:0, sibling:0%
 Lvl=1,  PC=5, S=2, Star=0,  {WiFaBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), wife(Alter, E).
;; 37
%rewa:9, spice:0, parents:0, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoMoBroSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), wife(Alter, G).
;; 38
%rewa:9, spice:0, parents:0, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoMoSisSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), wife(Alter, G).
;; 39
%rewa:9, spice:0, parents:0, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoFaBroSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), wife(Alter, G).
;; 40
%rewa:9, spice:0, parents:0, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuMoFaSisSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), wife(Alter, G).
;; 41
%rewa:9, spice:0, parents:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaMoBroSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), wife(Alter, G).
;; 42
%rewa:9, spice:0, parents:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaMoSisSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), wife(Alter, G).
;; 43
%rewa:9, spice:0, parents:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaFaBroSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), wife(Alter, G).
;; 44
%rewa:9, spice:0, parents:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {HuFaFaSisSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), wife(Alter, G).
;; 45
%rewa:9, spice:1, parents:0, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoMoBroSoWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), wife(Alter, G).
;; 46
%rewa:9, spice:1, parents:0, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoMoSisSoWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), wife(Alter, G).
;; 47
%rewa:9, spice:1, parents:0, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoFaBroSoWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), wife(Alter, G).
;; 48
%rewa:9, spice:1, parents:0, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiMoFaSisSoWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), wife(Alter, G).
;; 49
%rewa:9, spice:1, parents:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaMoBroSoWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), wife(Alter, G).
;; 50
%rewa:9, spice:1, parents:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaMoSisSoWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), wife(Alter, G).
;; 51
%rewa:9, spice:1, parents:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaFaBroSoWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), wife(Alter, G).
;; 52
%rewa:9, spice:1, parents:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=2, Star=0,  {WiFaFaSisSoWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), wife(Alter, G).
;; 53
%rewa:10, spice:0, parents:0, parents:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), wife(Alter, F).
;; 54
%rewa:10, spice:0, parents:0, parents:1, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), wife(Alter, F).
;; 55
%rewa:10, spice:0, parents:1, parents:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaMoBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), wife(Alter, F).
;; 56
%rewa:10, spice:0, parents:1, parents:1, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaFaBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), wife(Alter, F).
;; 57
%rewa:10, spice:1, parents:0, parents:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), wife(Alter, F).
;; 58
%rewa:10, spice:1, parents:0, parents:1, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), wife(Alter, F).
;; 59
%rewa:10, spice:1, parents:1, parents:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaMoBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), wife(Alter, F).
;; 60
%rewa:10, spice:1, parents:1, parents:1, brother:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaFaBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), wife(Alter, F).


sawa(Alter, Ego) :-  husband(Alter, Ego).
{"Hu"}
;; 0
%sawa:0%
 Lvl=0,  PC=0, S=1, Star=0,  {Hu}  
 husband(Alter, Ego).


sibling(Alter, Ego) :-  mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 0
%sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).


siblings(Alter, Ego) :-  brother(Alter, Ego).
                     |   sister(Alter, Ego).
;; 0
%siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


sinia(Alter, Ego) :-  mother(Alter, Ego).
                  |  [ext],  mother(A, Ego), generation[aux]53(Alter, A), female(Alter).
                  |  [ext],  father(A, Ego), generation[aux]53(B, A), wife(Alter, B).
{"FaBroWi_FaFaBroSoWi_FaFaFaBroDaSoWi_FaFaFaBroSoSoWi_FaFaFaSisDaSoWi_FaFaFaSisSoSoWi_FaFaMoBroDaSoWi_FaFaMoBroSoSoWi_FaFaMoSisDaSoWi_FaFaMoSisSoSoWi_FaFaSisSoWi_FaMoBroSoWi_FaMoFaBroDaSoWi_FaMoFaBroSoSoWi_FaMoFaSisDaSoWi_FaMoFaSisSoSoWi_FaMoMoBroDaSoWi_FaMoMoBroSoSoWi_FaMoMoSisDaSoWi_FaMoMoSisSoSoWi_FaMoSisSoWi_Mo_MoFaBroDa_MoFaFaBroDaDa_MoFaFaBroSoDa_MoFaFaSisDaDa_MoFaFaSisSoDa_MoFaMoBroDaDa_MoFaMoBroSoDa_MoFaMoSisDaDa_MoFaMoSisSoDa_MoFaSisDa_MoMoBroDa_MoMoFaBroDaDa_MoMoFaBroSoDa_MoMoFaSisDaDa_MoMoFaSisSoDa_MoMoMoBroDaDa_MoMoMoBroSoDa_MoMoMoSisDaDa_MoMoMoSisSoDa_MoMoSisDa_MoSis"}
;; 0
%sinia:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Mo}  
 mother(Alter, Ego).
;; 1
%sinia:1, generation[aux]53:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoSis}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 2
%sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoBroDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 3
%sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoSisDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 4
%sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoBroSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 5
%sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoBroDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 6
%sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoSisSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 7
%sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoMoSisDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 8
%sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaBroSoDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 9
%sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaBroDaDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 10
%sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaSisSoDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 11
%sinia:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoMoFaSisDaDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 12
%sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaBroDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 13
%sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaSisDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 14
%sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoBroSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 15
%sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoBroDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 16
%sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoSisSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 17
%sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaMoSisDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 18
%sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaBroSoDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), female(Alter).
;; 19
%sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaBroDaDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), female(Alter).
;; 20
%sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaSisSoDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), female(Alter).
;; 21
%sinia:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {MoFaFaSisDaDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), female(Alter).
;; 22
%sinia:2, generation[aux]53:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(Alter, D).
;; 23
%sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoBroSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Alter, F).
;; 24
%sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Alter, F).
;; 25
%sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoBroSoSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), wife(Alter, H).
;; 26
%sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoBroDaSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), wife(Alter, H).
;; 27
%sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoSisSoSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), wife(Alter, H).
;; 28
%sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoMoSisDaSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), wife(Alter, H).
;; 29
%sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaBroSoSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), wife(Alter, H).
;; 30
%sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaBroDaSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), wife(Alter, H).
;; 31
%sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaSisSoSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), wife(Alter, H).
;; 32
%sinia:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaMoFaSisDaSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), wife(Alter, H).
;; 33
%sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Alter, F).
;; 34
%sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaSisSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Alter, F).
;; 35
%sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoBroSoSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), wife(Alter, H).
;; 36
%sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoBroDaSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), wife(Alter, H).
;; 37
%sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisSoSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), wife(Alter, H).
;; 38
%sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaMoSisDaSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), wife(Alter, H).
;; 39
%sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroSoSoWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), wife(Alter, H).
;; 40
%sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaBroDaSoWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), wife(Alter, H).
;; 41
%sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaSisSoSoWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), wife(Alter, H).
;; 42
%sinia:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {FaFaFaSisDaSoWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), wife(Alter, H).


sister(Alter, Ego) :-  sibling(Alter, Ego), female(Alter).
;; 0
%sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


sovosi(Alter, Ego) :-  spice(A, Ego), netavava(B, A), spouse(Alter, B).
                   |   spice(A, Ego), netakatu(B, A), spouse(Alter, B).
{"HuBroWi_HuFaBroSoWi_HuFaFaBroDaSoWi_HuFaFaBroSoSoWi_HuFaFaSisDaSoWi_HuFaFaSisSoSoWi_HuFaMoBroDaSoWi_HuFaMoBroSoSoWi_HuFaMoSisDaSoWi_HuFaMoSisSoSoWi_HuFaSisSoWi_HuMoBroSoWi_HuMoFaBroDaSoWi_HuMoFaBroSoSoWi_HuMoFaSisDaSoWi_HuMoFaSisSoSoWi_HuMoMoBroDaSoWi_HuMoMoBroSoSoWi_HuMoMoSisDaSoWi_HuMoMoSisSoSoWi_HuMoSisSoWi_WiFaBroDaHu_WiFaFaBroDaDaHu_WiFaFaBroSoDaHu_WiFaFaSisDaDaHu_WiFaFaSisSoDaHu_WiFaMoBroDaDaHu_WiFaMoBroSoDaHu_WiFaMoSisDaDaHu_WiFaMoSisSoDaHu_WiFaSisDaHu_WiMoBroDaHu_WiMoFaBroDaDaHu_WiMoFaBroSoDaHu_WiMoFaSisDaDaHu_WiMoFaSisSoDaHu_WiMoMoBroDaDaHu_WiMoMoBroSoDaHu_WiMoMoSisDaDaHu_WiMoMoSisSoDaHu_WiMoSisDaHu_WiSisHu"}
;; 0
%sovosi:0, spice:0, netavava:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, A), gender(E, D), elder(D, A), spouse(Alter, D).
;; 1
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), gender(E, A), gender(E, D), spouse(Alter, D).
;; 2
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoBroSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 3
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoSisSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 4
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoBroSoSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 5
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoBroDaSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 6
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoSisSoSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 7
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoSisDaSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 8
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaBroSoSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 9
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaBroDaSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 10
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaSisSoSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 11
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaSisDaSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 12
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaBroSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 13
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaSisSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 14
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoBroSoSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 15
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoBroDaSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 16
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoSisSoSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 17
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoSisDaSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 18
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaBroSoSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 19
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaBroDaSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 20
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaSisSoSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 21
%sovosi:0, spice:0, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaSisDaSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 22
%sovosi:0, spice:1, netavava:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiSisHu}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, A), gender(E, D), elder(D, A), spouse(Alter, D).
;; 23
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), elder(D, A), gender(E, A), gender(E, D), spouse(Alter, D).
;; 24
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoBroDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 25
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoSisDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 26
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoMoBroSoDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 27
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoMoBroDaDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 28
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoMoSisSoDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 29
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoMoSisDaDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 30
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoFaBroSoDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 31
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoFaBroDaDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 32
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoFaSisSoDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 33
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:0, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoFaSisDaDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 34
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaBroDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), elder(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 35
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaSisDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), elder(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 36
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaMoBroSoDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 37
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaMoBroDaDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 38
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaMoSisSoDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 39
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:0, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaMoSisDaDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 40
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaFaBroSoDaHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 41
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaFaBroDaDaHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 42
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaFaSisSoDaHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 43
%sovosi:0, spice:1, netavava:1, generation[aux]53senior:1, parents:1, generation[aux]53seniorGS:1, parents:1, generation[aux]53seniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaFaSisDaDaHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), elder(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 44
%sovosi:1, spice:0, netakatu:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, A), gender(E, D), younger(D, A), spouse(Alter, D).
;; 45
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), younger(D, A), gender(E, A), gender(E, D), spouse(Alter, D).
;; 46
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoBroSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 47
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoSisSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 48
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoBroSoSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 49
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoBroDaSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 50
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoSisSoSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 51
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoMoSisDaSoWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 52
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaBroSoSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 53
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaBroDaSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 54
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaSisSoSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 55
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuMoFaSisDaSoWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 56
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaBroSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 57
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaSisSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 58
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoBroSoSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 59
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoBroDaSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 60
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoSisSoSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 61
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaMoSisDaSoWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 62
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaBroSoSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 63
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaBroDaSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 64
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaSisSoSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 65
%sovosi:1, spice:0, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {HuFaFaSisDaSoWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 66
%sovosi:1, spice:1, netakatu:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiSisHu}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, A), gender(E, D), younger(D, A), spouse(Alter, D).
;; 67
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), younger(D, A), gender(E, A), gender(E, D), spouse(Alter, D).
;; 68
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoBroDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 69
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoSisDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 70
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoMoBroSoDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 71
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoMoBroDaDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 72
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoMoSisSoDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 73
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoMoSisDaDaHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 74
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoFaBroSoDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 75
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoFaBroDaDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 76
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoFaSisSoDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 77
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:0, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiMoFaSisDaDaHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 78
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaBroDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), younger(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 79
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaSisDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), younger(E, B), child(F, E), gender(G, A), gender(G, F), spouse(Alter, F).
;; 80
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaMoBroSoDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 81
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaMoBroDaDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 82
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaMoSisSoDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 83
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:0, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaMoSisDaDaHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 84
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaFaBroSoDaHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 85
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaFaBroDaDaHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 86
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaFaSisSoDaHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), son(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).
;; 87
%sovosi:1, spice:1, netakatu:1, generation[aux]53junior:1, parents:1, generation[aux]53juniorGS:1, parents:1, generation[aux]53juniorGS:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=2, Star=0,  {WiFaFaSisDaDaHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), younger(F, C), daughter(G, F), child(H, G), gender(I, A), gender(I, H), spouse(Alter, H).


spice(Alter, Ego) :-  husband(Alter, Ego).
                  |   wife(Alter, Ego).
;; 0
%spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(Alter, Ego).
;; 1
%spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(Alter, Ego).


square[aux]53(Alter, Ego) :-  generation[aux]53(Alter, Ego).
                          |   parent(Alter, Ego).
                          |   parents(A, Ego), square[aux]53(Alter, A).
;; 0
%square[aux]53:0, generation[aux]53:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 4
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 5
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 6
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 7
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 8
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 9
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 10
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 11
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 12
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 13
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 14
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 15
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 16
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 17
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 18
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 19
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 20
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 21
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 22
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 23
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 24
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 25
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 26
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 27
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 28
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 29
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 30
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 31
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 32
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 33
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 34
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 35
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 36
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 37
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 38
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 39
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 40
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 41
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 42
%square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 43
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 44
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 45
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 46
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 47
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 48
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 49
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 50
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 51
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 52
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 53
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 54
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 55
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 56
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 57
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 58
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 59
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 60
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 61
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 62
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 63
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 64
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 65
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 66
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 67
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 68
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 69
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 70
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 71
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 72
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 73
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 74
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 75
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 76
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 77
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(H, G), child(Alter, H).
;; 78
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(H, G), child(Alter, H).
;; 79
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(H, G), child(Alter, H).
;; 80
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 81
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(H, G), child(Alter, H).
;; 82
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(H, G), child(Alter, H).
;; 83
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(H, G), child(Alter, H).
;; 84
%square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(H, G), child(Alter, H).
;; 85
%square[aux]53:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(Alter, Ego).
;; 86
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 87
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 88
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 89
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 90
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 91
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 92
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 93
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 94
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 95
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 96
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 97
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 98
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 99
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 100
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 101
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 102
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 103
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 104
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 105
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 106
%square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 107
%square[aux]53:2, parents:0, square[aux]53:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 108
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 109
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 110
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 111
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 112
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 113
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 114
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 115
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 116
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 117
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 118
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 119
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 120
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 121
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 122
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 123
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 124
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 125
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 126
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 127
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 128
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 129
%square[aux]53:2, parents:0, square[aux]53:2, parents:0, square[aux]53:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), parent(Alter, B).
;; 130
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 131
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 132
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 133
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 134
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 135
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 136
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 137
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 138
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 139
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 140
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 141
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 142
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 143
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 144
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 145
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 146
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 147
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 148
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 149
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 150
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 151
%square[aux]53:2, parents:0, square[aux]53:2, parents:1, square[aux]53:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), parent(Alter, B).
;; 152
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 153
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 154
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 155
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 156
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 157
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 158
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 159
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 160
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 161
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 162
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 163
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 164
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 165
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 166
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 167
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 168
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 169
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 170
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 171
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 172
%square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 173
%square[aux]53:2, parents:1, square[aux]53:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).
;; 174
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 175
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 176
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 177
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 178
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 179
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 180
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 181
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 182
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 183
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 184
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 185
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 186
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 187
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 188
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 189
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 190
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 191
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 192
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 193
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 194
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 195
%square[aux]53:2, parents:1, square[aux]53:2, parents:0, square[aux]53:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), parent(Alter, B).
;; 196
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 197
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 198
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 199
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 200
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 201
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 202
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 203
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 204
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 205
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 206
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 207
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 208
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 209
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 210
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 211
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 212
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 213
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), child(Alter, H).
;; 214
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), child(Alter, H).
;; 215
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), child(Alter, H).
;; 216
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:0, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), child(Alter, H).
;; 217
%square[aux]53:2, parents:1, square[aux]53:2, parents:1, square[aux]53:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), parent(Alter, B).


square[aux]53gs(Alter, Ego) :-  generation[aux]53gs(Alter, Ego).
                            |   parents(Alter, Ego).
                            |   parents(A, Ego), square[aux]53gs(Alter, A).
;; 0
%square[aux]53gs:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%square[aux]53gs:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 7
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 8
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 9
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 10
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 11
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 12
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 13
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 14
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 15
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 16
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 17
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 18
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 19
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 20
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 21
%square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 22
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 23
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 24
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 25
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 26
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 27
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 28
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 29
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 30
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 31
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 32
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 33
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 34
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), son(Alter, F).
;; 35
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), daughter(Alter, F).
;; 36
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), son(Alter, F).
;; 37
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), daughter(Alter, F).
;; 38
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), son(Alter, F).
;; 39
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), daughter(Alter, F).
;; 40
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), son(Alter, F).
;; 41
%square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), daughter(Alter, F).
;; 42
%square[aux]53gs:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(Alter, Ego).
;; 43
%square[aux]53gs:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).
;; 44
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 45
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 46
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 47
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 48
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 49
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 50
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 51
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 52
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 53
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 54
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 55
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 56
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 57
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 58
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 59
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 60
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 61
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 62
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 63
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 64
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 65
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 66
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 67
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 68
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 69
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 70
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 71
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 72
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 73
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 74
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 75
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 76
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 77
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 78
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 79
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 80
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 81
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 82
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 83
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 84
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 85
%square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 86
%square[aux]53gs:2, parents:0, square[aux]53gs:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(Alter, A).
;; 87
%square[aux]53gs:2, parents:0, square[aux]53gs:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(Alter, A).
;; 88
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 89
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 90
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 91
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 92
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 93
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 94
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 95
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 96
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 97
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 98
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 99
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 100
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 101
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 102
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 103
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 104
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 105
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 106
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 107
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 108
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 109
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 110
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 111
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 112
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 113
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 114
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 115
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 116
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 117
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 118
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 119
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 120
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 121
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 122
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 123
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 124
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 125
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 126
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 127
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 128
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 129
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 130
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(Alter, B).
;; 131
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:0, square[aux]53gs:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(Alter, B).
;; 132
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 133
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 134
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 135
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 136
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 137
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 138
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 139
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 140
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 141
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 142
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 143
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 144
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 145
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 146
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 147
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 148
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 149
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 150
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 151
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 152
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 153
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 154
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 155
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 156
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 157
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 158
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 159
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 160
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 161
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 162
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 163
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 164
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 165
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 166
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 167
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 168
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 169
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 170
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 171
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 172
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 173
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 174
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(Alter, B).
;; 175
%square[aux]53gs:2, parents:0, square[aux]53gs:2, parents:1, square[aux]53gs:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(Alter, B).
;; 176
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 177
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 178
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 179
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 180
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 181
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 182
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 183
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 184
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 185
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 186
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 187
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 188
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 189
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 190
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 191
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 192
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 193
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 194
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 195
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 196
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 197
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 198
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(Alter, E).
;; 199
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(Alter, E).
;; 200
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(Alter, E).
;; 201
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(Alter, E).
;; 202
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 203
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 204
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 205
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 206
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 207
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 208
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 209
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 210
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), son(Alter, G).
;; 211
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), daughter(Alter, G).
;; 212
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), son(Alter, G).
;; 213
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), daughter(Alter, G).
;; 214
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), son(Alter, G).
;; 215
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), daughter(Alter, G).
;; 216
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), son(Alter, G).
;; 217
%square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), daughter(Alter, G).
;; 218
%square[aux]53gs:2, parents:1, square[aux]53gs:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(Alter, A).
;; 219
%square[aux]53gs:2, parents:1, square[aux]53gs:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(Alter, A).
;; 220
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 221
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 222
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 223
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 224
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 225
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 226
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 227
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 228
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 229
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 230
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 231
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 232
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 233
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 234
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 235
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 236
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 237
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 238
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 239
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 240
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 241
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 242
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 243
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 244
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 245
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 246
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 247
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 248
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 249
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 250
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 251
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 252
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 253
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 254
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 255
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 256
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 257
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 258
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 259
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 260
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 261
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 262
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(Alter, B).
;; 263
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:0, square[aux]53gs:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(Alter, B).
;; 264
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 265
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 266
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 267
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 268
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 269
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 270
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 271
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 272
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 273
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 274
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 275
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 276
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 277
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 278
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 279
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 280
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 281
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 282
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 283
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 284
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 285
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 286
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(Alter, F).
;; 287
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(Alter, F).
;; 288
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(Alter, F).
;; 289
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(Alter, F).
;; 290
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 291
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 292
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 293
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 294
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 295
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 296
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 297
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 298
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), son(Alter, H).
;; 299
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), son(H, G), daughter(Alter, H).
;; 300
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), son(Alter, H).
;; 301
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), daughter(H, G), daughter(Alter, H).
;; 302
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), son(Alter, H).
;; 303
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), son(H, G), daughter(Alter, H).
;; 304
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), son(Alter, H).
;; 305
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), daughter(H, G), daughter(Alter, H).
;; 306
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(Alter, B).
;; 307
%square[aux]53gs:2, parents:1, square[aux]53gs:2, parents:1, square[aux]53gs:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(Alter, B).


square[aux]53small(Alter, Ego) :-  sibling(Alter, Ego).
                               |   parent(Alter, Ego).
                               |   parents(A, Ego), square[aux]53small(Alter, A).
;; 0
%square[aux]53small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%square[aux]53small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(Alter, Ego).
;; 2
%square[aux]53small:2, parents:0, square[aux]53small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 3
%square[aux]53small:2, parents:0, square[aux]53small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 4
%square[aux]53small:2, parents:0, square[aux]53small:2, parents:0, square[aux]53small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 5
%square[aux]53small:2, parents:0, square[aux]53small:2, parents:0, square[aux]53small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), parent(Alter, B).
;; 6
%square[aux]53small:2, parents:0, square[aux]53small:2, parents:1, square[aux]53small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 7
%square[aux]53small:2, parents:0, square[aux]53small:2, parents:1, square[aux]53small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), parent(Alter, B).
;; 8
%square[aux]53small:2, parents:1, square[aux]53small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 9
%square[aux]53small:2, parents:1, square[aux]53small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).
;; 10
%square[aux]53small:2, parents:1, square[aux]53small:2, parents:0, square[aux]53small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 11
%square[aux]53small:2, parents:1, square[aux]53small:2, parents:0, square[aux]53small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), parent(Alter, B).
;; 12
%square[aux]53small:2, parents:1, square[aux]53small:2, parents:1, square[aux]53small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 13
%square[aux]53small:2, parents:1, square[aux]53small:2, parents:1, square[aux]53small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), parent(Alter, B).


square[aux]53smallGS(Alter, Ego) :-  siblings(Alter, Ego).
                                 |   parents(Alter, Ego).
                                 |   parents(A, Ego), square[aux]53smallGS(Alter, A).
;; 0
%square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(Alter, Ego).
;; 3
%square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).
;; 4
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 5
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 6
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(Alter, A).
;; 7
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(Alter, A).
;; 8
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 9
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 10
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(Alter, B).
;; 11
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(Alter, B).
;; 12
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 13
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 14
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(Alter, B).
;; 15
%square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(Alter, B).
;; 16
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 17
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 18
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(Alter, A).
;; 19
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(Alter, A).
;; 20
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 21
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 22
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(Alter, B).
;; 23
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(Alter, B).
;; 24
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 25
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 26
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(Alter, B).
;; 27
%square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(Alter, B).


square[aux]53smallGS2(Alter, Ego) :-  siblings(Alter, Ego).
                                  |   parents(A, Ego), square[aux]53smallGS(Alter, A).
;; 0
%square[aux]53smallGS2:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%square[aux]53smallGS2:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 3
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 4
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(Alter, A).
;; 5
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(Alter, A).
;; 6
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 7
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 8
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(Alter, B).
;; 9
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(Alter, B).
;; 10
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 11
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 12
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 13
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 14
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 15
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 16
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 17
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 18
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 19
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 20
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(Alter, B).
;; 21
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(Alter, B).
;; 22
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 23
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 24
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 25
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 26
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 27
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 28
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 29
%square[aux]53smallGS2:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 30
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 31
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 32
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(Alter, A).
;; 33
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(Alter, A).
;; 34
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 35
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 36
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(Alter, B).
;; 37
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(Alter, B).
;; 38
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 39
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 40
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 41
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 42
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 43
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 44
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 45
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 46
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 47
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 48
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(Alter, B).
;; 49
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(Alter, B).
;; 50
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 51
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 52
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 53
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 54
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 55
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 56
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 57
%square[aux]53smallGS2:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), father(Alter, C).


step_brother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
                         |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).
;; 0
%step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
;; 1
%step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).


step_daughter(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).
;; 0
%step_daughter:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).


step_father(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).
;; 0
%step_father:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).


step_mother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).
;; 0
%step_mother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).


step_sister(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
                        |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).
;; 0
%step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
;; 1
%step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).


step_son(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).
;; 0
%step_son:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).


sumo(Alter, Ego) :-  father(A, Ego), sibling(Alter, A), female(Alter).
                 |  [ext],  father(A, Ego), generation[aux]53small(Alter, A), female(Alter).
                 |  [ext],  mother(A, Ego), generation[aux]53small(B, A), wife(Alter, B).
{"FaFaBroDa_FaFaSisDa_FaMoBroDa_FaMoSisDa_FaSis_MoBroWi_MoFaBroSoWi_MoFaSisSoWi_MoMoBroSoWi_MoMoSisSoWi"}
;; 0
%sumo:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaSis}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 1
%sumo:1, generation[aux]53small:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaSis}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 2
%sumo:1, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoBroDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 3
%sumo:1, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoSisDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 4
%sumo:1, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaBroDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), female(Alter).
;; 5
%sumo:1, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), female(Alter).
;; 6
%sumo:2, generation[aux]53small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(Alter, D).
;; 7
%sumo:2, generation[aux]53small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoBroSoWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Alter, F).
;; 8
%sumo:2, generation[aux]53small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisSoWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Alter, F).
;; 9
%sumo:2, generation[aux]53small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroSoWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), wife(Alter, F).
;; 10
%sumo:2, generation[aux]53small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaSisSoWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), wife(Alter, F).


tama(Alter, Ego) :-  father(Alter, Ego).
                 |  [ext],  father(A, Ego), generation[aux]53(Alter, A), male(Alter).
                 |  [ext],  mother(A, Ego), generation[aux]53(B, A), husband(Alter, B).
{"Fa_FaBro_FaFaBroSo_FaFaFaBroDaSo_FaFaFaBroSoSo_FaFaFaSisDaSo_FaFaFaSisSoSo_FaFaMoBroDaSo_FaFaMoBroSoSo_FaFaMoSisDaSo_FaFaMoSisSoSo_FaFaSisSo_FaMoBroSo_FaMoFaBroDaSo_FaMoFaBroSoSo_FaMoFaSisDaSo_FaMoFaSisSoSo_FaMoMoBroDaSo_FaMoMoBroSoSo_FaMoMoSisDaSo_FaMoMoSisSoSo_FaMoSisSo_MoFaBroDaHu_MoFaFaBroDaDaHu_MoFaFaBroSoDaHu_MoFaFaSisDaDaHu_MoFaFaSisSoDaHu_MoFaMoBroDaDaHu_MoFaMoBroSoDaHu_MoFaMoSisDaDaHu_MoFaMoSisSoDaHu_MoFaSisDaHu_MoMoBroDaHu_MoMoFaBroDaDaHu_MoMoFaBroSoDaHu_MoMoFaSisDaDaHu_MoMoFaSisSoDaHu_MoMoMoBroDaDaHu_MoMoMoBroSoDaHu_MoMoMoSisDaDaHu_MoMoMoSisSoDaHu_MoMoSisDaHu_MoSisHu"}
;; 0
%tama:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Fa}  
 father(Alter, Ego).
;; 1
%tama:1, generation[aux]53:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaBro}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 2
%tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoBroSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter).
;; 3
%tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoSisSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter).
;; 4
%tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoBroSoSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter).
;; 5
%tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoBroDaSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter).
;; 6
%tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoSisSoSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter).
;; 7
%tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoMoSisDaSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter).
;; 8
%tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaBroSoSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter).
;; 9
%tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaBroDaSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter).
;; 10
%tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaSisSoSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter).
;; 11
%tama:1, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaMoFaSisDaSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter).
;; 12
%tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaBroSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E), male(Alter).
;; 13
%tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E), male(Alter).
;; 14
%tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoBroSoSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter).
;; 15
%tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoBroDaSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter).
;; 16
%tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisSoSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter).
;; 17
%tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaMoSisDaSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter).
;; 18
%tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroSoSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G), male(Alter).
;; 19
%tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaBroDaSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G), male(Alter).
;; 20
%tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaSisSoSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G), male(Alter).
;; 21
%tama:1, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=0, Star=0,  {FaFaFaSisDaSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G), male(Alter).
;; 22
%tama:2, generation[aux]53:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), husband(Alter, D).
;; 23
%tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoBroDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Alter, F).
;; 24
%tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Alter, F).
;; 25
%tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoBroSoDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), husband(Alter, H).
;; 26
%tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoBroDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), husband(Alter, H).
;; 27
%tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoSisSoDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), husband(Alter, H).
;; 28
%tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoMoSisDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), husband(Alter, H).
;; 29
%tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaBroSoDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), husband(Alter, H).
;; 30
%tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaBroDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), husband(Alter, H).
;; 31
%tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaSisSoDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), husband(Alter, H).
;; 32
%tama:2, generation[aux]53:1, parents:0, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoMoFaSisDaDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), husband(Alter, H).
;; 33
%tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(F, E), husband(Alter, F).
;; 34
%tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaSisDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(F, E), husband(Alter, F).
;; 35
%tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoBroSoDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), husband(Alter, H).
;; 36
%tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoBroDaDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), husband(Alter, H).
;; 37
%tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoSisSoDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), husband(Alter, H).
;; 38
%tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:0, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaMoSisDaDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), husband(Alter, H).
;; 39
%tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaBroSoDaHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(H, G), husband(Alter, H).
;; 40
%tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaBroDaDaHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(H, G), husband(Alter, H).
;; 41
%tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaSisSoDaHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(H, G), husband(Alter, H).
;; 42
%tama:2, generation[aux]53:1, parents:1, generation[aux]53gs:1, parents:1, generation[aux]53gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=1,  PC=9, S=1, Star=0,  {MoFaFaSisDaDaHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(H, G), husband(Alter, H).


tapu(Alter, Ego) :-  tapu[aux]53(Alter, Ego).
                 |   tapu[aux]53(Ego, Alter), male(Alter).
                 |   tapu[aux]53(Ego, Alter), female(Alter).
{"BroDaDa_BroDaDaDa_BroDaDaDaDa_BroDaDaDaSo_BroDaDaSo_BroDaDaSoDa_BroDaDaSoSo_BroDaSo_BroDaSoDa_BroDaSoDaDa_BroDaSoDaSo_BroDaSoSo_BroDaSoSoDa_BroDaSoSoSo_BroSoDa_BroSoDaDa_BroSoDaDaDa_BroSoDaDaSo_BroSoDaSo_BroSoDaSoDa_BroSoDaSoSo_BroSoSo_BroSoSoDa_BroSoSoDaDa_BroSoSoDaSo_BroSoSoSo_BroSoSoSoDa_BroSoSoSoSo_DaDa_DaDaDa_DaDaDaDa_DaDaDaDaDa_DaDaDaDaSo_DaDaDaSo_DaDaDaSoDa_DaDaDaSoSo_DaDaSo_DaDaSoDa_DaDaSoDaDa_DaDaSoDaSo_DaDaSoSo_DaDaSoSoDa_DaDaSoSoSo_DaSo_DaSoDa_DaSoDaDa_DaSoDaDaDa_DaSoDaDaSo_DaSoDaSo_DaSoDaSoDa_DaSoDaSoSo_DaSoSo_DaSoSoDa_DaSoSoDaDa_DaSoSoDaSo_DaSoSoSo_DaSoSoSoDa_DaSoSoSoSo_FaFa_FaFaBro_FaFaBroWi_FaFaFa_FaFaFaBro_FaFaFaBroWi_FaFaFaFa_FaFaFaFaBro_FaFaFaFaBroWi_FaFaFaFaFa_FaFaFaFaMo_FaFaFaFaSis_FaFaFaFaSisHu_FaFaFaMo_FaFaFaMoBro_FaFaFaMoBroWi_FaFaFaMoFa_FaFaFaMoMo_FaFaFaMoSis_FaFaFaMoSisHu_FaFaFaSis_FaFaFaSisHu_FaFaMo_FaFaMoBro_FaFaMoBroWi_FaFaMoFa_FaFaMoFaBro_FaFaMoFaBroWi_FaFaMoFaFa_FaFaMoFaMo_FaFaMoFaSis_FaFaMoFaSisHu_FaFaMoMo_FaFaMoMoBro_FaFaMoMoBroWi_FaFaMoMoFa_FaFaMoMoMo_FaFaMoMoSis_FaFaMoMoSisHu_FaFaMoSis_FaFaMoSisHu_FaFaSis_FaFaSisHu_FaMo_FaMoBro_FaMoBroWi_FaMoFa_FaMoFaBro_FaMoFaBroWi_FaMoFaFa_FaMoFaFaBro_FaMoFaFaBroWi_FaMoFaFaFa_FaMoFaFaMo_FaMoFaFaSis_FaMoFaFaSisHu_FaMoFaMo_FaMoFaMoBro_FaMoFaMoBroWi_FaMoFaMoFa_FaMoFaMoMo_FaMoFaMoSis_FaMoFaMoSisHu_FaMoFaSis_FaMoFaSisHu_FaMoMo_FaMoMoBro_FaMoMoBroWi_FaMoMoFa_FaMoMoFaBro_FaMoMoFaBroWi_FaMoMoFaFa_FaMoMoFaMo_FaMoMoFaSis_FaMoMoFaSisHu_FaMoMoMo_FaMoMoMoBro_FaMoMoMoBroWi_FaMoMoMoFa_FaMoMoMoMo_FaMoMoMoSis_FaMoMoMoSisHu_FaMoMoSis_FaMoMoSisHu_FaMoSis_FaMoSisHu_HuBroDaDa_HuBroDaDaDa_HuBroDaDaDaDa_HuBroDaDaDaSo_HuBroDaDaSo_HuBroDaDaSoDa_HuBroDaDaSoSo_HuBroDaSo_HuBroDaSoDa_HuBroDaSoDaDa_HuBroDaSoDaSo_HuBroDaSoSo_HuBroDaSoSoDa_HuBroDaSoSoSo_HuBroSoDa_HuBroSoDaDa_HuBroSoDaDaDa_HuBroSoDaDaSo_HuBroSoDaSo_HuBroSoDaSoDa_HuBroSoDaSoSo_HuBroSoSo_HuBroSoSoDa_HuBroSoSoDaDa_HuBroSoSoDaSo_HuBroSoSoSo_HuBroSoSoSoDa_HuBroSoSoSoSo_HuSisDaDa_HuSisDaDaDa_HuSisDaDaDaDa_HuSisDaDaDaSo_HuSisDaDaSo_HuSisDaDaSoDa_HuSisDaDaSoSo_HuSisDaSo_HuSisDaSoDa_HuSisDaSoDaDa_HuSisDaSoDaSo_HuSisDaSoSo_HuSisDaSoSoDa_HuSisDaSoSoSo_HuSisSoDa_HuSisSoDaDa_HuSisSoDaDaDa_HuSisSoDaDaSo_HuSisSoDaSo_HuSisSoDaSoDa_HuSisSoDaSoSo_HuSisSoSo_HuSisSoSoDa_HuSisSoSoDaDa_HuSisSoSoDaSo_HuSisSoSoSo_HuSisSoSoSoDa_HuSisSoSoSoSo_MoFa_MoFaBro_MoFaBroWi_MoFaFa_MoFaFaBro_MoFaFaBroWi_MoFaFaFa_MoFaFaFaBro_MoFaFaFaBroWi_MoFaFaFaFa_MoFaFaFaMo_MoFaFaFaSis_MoFaFaFaSisHu_MoFaFaMo_MoFaFaMoBro_MoFaFaMoBroWi_MoFaFaMoFa_MoFaFaMoMo_MoFaFaMoSis_MoFaFaMoSisHu_MoFaFaSis_MoFaFaSisHu_MoFaMo_MoFaMoBro_MoFaMoBroWi_MoFaMoFa_MoFaMoFaBro_MoFaMoFaBroWi_MoFaMoFaFa_MoFaMoFaMo_MoFaMoFaSis_MoFaMoFaSisHu_MoFaMoMo_MoFaMoMoBro_MoFaMoMoBroWi_MoFaMoMoFa_MoFaMoMoMo_MoFaMoMoSis_MoFaMoMoSisHu_MoFaMoSis_MoFaMoSisHu_MoFaSis_MoFaSisHu_MoMo_MoMoBro_MoMoBroWi_MoMoFa_MoMoFaBro_MoMoFaBroWi_MoMoFaFa_MoMoFaFaBro_MoMoFaFaBroWi_MoMoFaFaFa_MoMoFaFaMo_MoMoFaFaSis_MoMoFaFaSisHu_MoMoFaMo_MoMoFaMoBro_MoMoFaMoBroWi_MoMoFaMoFa_MoMoFaMoMo_MoMoFaMoSis_MoMoFaMoSisHu_MoMoFaSis_MoMoFaSisHu_MoMoMo_MoMoMoBro_MoMoMoBroWi_MoMoMoFa_MoMoMoFaBro_MoMoMoFaBroWi_MoMoMoFaFa_MoMoMoFaMo_MoMoMoFaSis_MoMoMoFaSisHu_MoMoMoMo_MoMoMoMoBro_MoMoMoMoBroWi_MoMoMoMoFa_MoMoMoMoMo_MoMoMoMoSis_MoMoMoMoSisHu_MoMoMoSis_MoMoMoSisHu_MoMoSis_MoMoSisHu_SisDaDa_SisDaDaDa_SisDaDaDaDa_SisDaDaDaSo_SisDaDaSo_SisDaDaSoDa_SisDaDaSoSo_SisDaSo_SisDaSoDa_SisDaSoDaDa_SisDaSoDaSo_SisDaSoSo_SisDaSoSoDa_SisDaSoSoSo_SisSoDa_SisSoDaDa_SisSoDaDaDa_SisSoDaDaSo_SisSoDaSo_SisSoDaSoDa_SisSoDaSoSo_SisSoSo_SisSoSoDa_SisSoSoDaDa_SisSoSoDaSo_SisSoSoSo_SisSoSoSoDa_SisSoSoSoSo_SoDa_SoDaDa_SoDaDaDa_SoDaDaDaDa_SoDaDaDaSo_SoDaDaSo_SoDaDaSoDa_SoDaDaSoSo_SoDaSo_SoDaSoDa_SoDaSoDaDa_SoDaSoDaSo_SoDaSoSo_SoDaSoSoDa_SoDaSoSoSo_SoSo_SoSoDa_SoSoDaDa_SoSoDaDaDa_SoSoDaDaSo_SoSoDaSo_SoSoDaSoDa_SoSoDaSoSo_SoSoSo_SoSoSoDa_SoSoSoDaDa_SoSoSoDaSo_SoSoSoSo_SoSoSoSoDa_SoSoSoSoSo_WiBroDaDa_WiBroDaDaDa_WiBroDaDaDaDa_WiBroDaDaDaSo_WiBroDaDaSo_WiBroDaDaSoDa_WiBroDaDaSoSo_WiBroDaSo_WiBroDaSoDa_WiBroDaSoDaDa_WiBroDaSoDaSo_WiBroDaSoSo_WiBroDaSoSoDa_WiBroDaSoSoSo_WiBroSoDa_WiBroSoDaDa_WiBroSoDaDaDa_WiBroSoDaDaSo_WiBroSoDaSo_WiBroSoDaSoDa_WiBroSoDaSoSo_WiBroSoSo_WiBroSoSoDa_WiBroSoSoDaDa_WiBroSoSoDaSo_WiBroSoSoSo_WiBroSoSoSoDa_WiBroSoSoSoSo_WiSisDaDa_WiSisDaDaDa_WiSisDaDaDaDa_WiSisDaDaDaSo_WiSisDaDaSo_WiSisDaDaSoDa_WiSisDaDaSoSo_WiSisDaSo_WiSisDaSoDa_WiSisDaSoDaDa_WiSisDaSoDaSo_WiSisDaSoSo_WiSisDaSoSoDa_WiSisDaSoSoSo_WiSisSoDa_WiSisSoDaDa_WiSisSoDaDaDa_WiSisSoDaDaSo_WiSisSoDaSo_WiSisSoDaSoDa_WiSisSoDaSoSo_WiSisSoSo_WiSisSoSoDa_WiSisSoSoDaDa_WiSisSoSoDaSo_WiSisSoSoSo_WiSisSoSoSoDa_WiSisSoSoSoSo"}
;; 0
%tapu:0, tapu[aux]53:0, parents:0, parents:0%
 Lvl=2,  PC=2, S=0, Star=0,  {MoMo}  
 mother(A, Ego), mother(Alter, A).
;; 1
%tapu:0, tapu[aux]53:0, parents:0, parents:1%
 Lvl=2,  PC=2, S=0, Star=0,  {MoFa}  
 mother(A, Ego), father(Alter, A).
;; 2
%tapu:0, tapu[aux]53:0, parents:1, parents:0%
 Lvl=2,  PC=2, S=0, Star=0,  {FaMo}  
 father(A, Ego), mother(Alter, A).
;; 3
%tapu:0, tapu[aux]53:0, parents:1, parents:1%
 Lvl=2,  PC=2, S=0, Star=0,  {FaFa}  
 father(A, Ego), father(Alter, A).
;; 4
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMoBro}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 5
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMoSis}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 6
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=0, Star=0,  {MoMoMo}  
[ext],  mother(A, Ego), mother(B, A), mother(Alter, B).
;; 7
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoMoFa}  
[ext],  mother(A, Ego), mother(B, A), father(Alter, B).
;; 8
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoMoBro}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 9
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoMoSis}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 10
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoMoMo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 11
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoMoFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 12
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoMoMoBro}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 13
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoMoMoSis}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 14
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {MoMoMoMoMo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 15
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {MoMoMoMoFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 16
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoMoFaBro}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 17
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoMoFaSis}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 18
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {MoMoMoFaMo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 19
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {MoMoMoFaFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 20
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoFaBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 21
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoFaSis}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 22
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoFaMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 23
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoFaFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 24
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoFaMoBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 25
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoFaMoSis}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 26
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {MoMoFaMoMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 27
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {MoMoFaMoFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 28
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoFaFaBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 29
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoMoFaFaSis}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 30
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {MoMoFaFaMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 31
%tapu:0, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {MoMoFaFaFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), father(Alter, D).
;; 32
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFaBro}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 33
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFaSis}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 34
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=0, Star=0,  {MoFaMo}  
[ext],  mother(A, Ego), father(B, A), mother(Alter, B).
;; 35
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoFaFa}  
[ext],  mother(A, Ego), father(B, A), father(Alter, B).
;; 36
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaMoBro}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 37
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaMoSis}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 38
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaMoMo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 39
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaMoFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 40
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaMoMoBro}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 41
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaMoMoSis}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 42
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {MoFaMoMoMo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 43
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {MoFaMoMoFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 44
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaMoFaBro}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 45
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaMoFaSis}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 46
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {MoFaMoFaMo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 47
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {MoFaMoFaFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 48
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaFaBro}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 49
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaFaSis}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 50
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaFaMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 51
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaFaFa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 52
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaFaMoBro}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 53
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaFaMoSis}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 54
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {MoFaFaMoMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 55
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {MoFaFaMoFa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 56
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaFaFaBro}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 57
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {MoFaFaFaSis}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 58
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {MoFaFaFaMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 59
%tapu:0, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {MoFaFaFaFa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), father(Alter, D).
;; 60
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMoBro}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 61
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMoSis}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 62
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=0, Star=0,  {FaMoMo}  
[ext],  father(A, Ego), mother(B, A), mother(Alter, B).
;; 63
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaMoFa}  
[ext],  father(A, Ego), mother(B, A), father(Alter, B).
;; 64
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoMoBro}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 65
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoMoSis}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 66
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoMoMo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 67
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoMoFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 68
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoMoMoBro}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 69
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoMoMoSis}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 70
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {FaMoMoMoMo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 71
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {FaMoMoMoFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 72
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoMoFaBro}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 73
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoMoFaSis}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 74
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {FaMoMoFaMo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 75
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {FaMoMoFaFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 76
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoFaBro}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 77
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoFaSis}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 78
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoFaMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 79
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoFaFa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 80
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoFaMoBro}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 81
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoFaMoSis}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 82
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {FaMoFaMoMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 83
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {FaMoFaMoFa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 84
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoFaFaBro}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 85
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaMoFaFaSis}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 86
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {FaMoFaFaMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 87
%tapu:0, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {FaMoFaFaFa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), father(Alter, D).
;; 88
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFaBro}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 89
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFaSis}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 90
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=0, Star=0,  {FaFaMo}  
[ext],  father(A, Ego), father(B, A), mother(Alter, B).
;; 91
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaFaFa}  
[ext],  father(A, Ego), father(B, A), father(Alter, B).
;; 92
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaMoBro}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 93
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaMoSis}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 94
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaMoMo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 95
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaMoFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 96
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaMoMoBro}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 97
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaMoMoSis}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 98
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {FaFaMoMoMo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 99
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {FaFaMoMoFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 100
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaMoFaBro}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 101
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaMoFaSis}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 102
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {FaFaMoFaMo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 103
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {FaFaMoFaFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 104
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaFaBro}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 105
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaFaSis}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 106
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaFaMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 107
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaFaFa}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 108
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaFaMoBro}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 109
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaFaMoSis}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 110
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {FaFaFaMoMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 111
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {FaFaFaMoFa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 112
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaFaFaBro}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 113
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=0, Star=0,  {FaFaFaFaSis}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 114
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=0, Star=0,  {FaFaFaFaMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 115
%tapu:0, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=0, Star=0,  {FaFaFaFaFa}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), father(Alter, D).
;; 116
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoMoBroWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 117
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoMoSisHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 118
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {MoMoFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), spouse(Alter, C).
;; 119
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {MoMoMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), spouse(Alter, C).
;; 120
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoMoBroWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 121
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoMoSisHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 122
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoMoFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 123
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoMoMo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 124
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoMoMoMoBroWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 125
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoMoMoMoSisHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 126
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {MoMoMoMoFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 127
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {MoMoMoMoMo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 128
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoMoMoFaBroWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 129
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoMoMoFaSisHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 130
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {MoMoMoFaFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 131
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {MoMoMoFaMo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 132
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoFaBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 133
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoFaSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 134
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoFaFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 135
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoFaMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 136
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoMoFaMoBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 137
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoMoFaMoSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 138
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {MoMoFaMoFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 139
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {MoMoFaMoMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 140
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoMoFaFaBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 141
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoMoFaFaSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 142
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {MoMoFaFaFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 143
%tapu:0, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {MoMoFaFaMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 144
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoFaBroWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 145
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoFaSisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 146
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {MoFaFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), spouse(Alter, C).
;; 147
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {MoFaMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), spouse(Alter, C).
;; 148
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaMoBroWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 149
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaMoSisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 150
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaMoFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 151
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaMoMo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 152
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoFaMoMoBroWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 153
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoFaMoMoSisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 154
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {MoFaMoMoFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 155
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {MoFaMoMoMo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 156
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoFaMoFaBroWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 157
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoFaMoFaSisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 158
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {MoFaMoFaFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 159
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {MoFaMoFaMo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 160
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaFaBroWi}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 161
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaFaSisHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 162
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaFaFa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 163
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaFaMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 164
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoFaFaMoBroWi}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 165
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoFaFaMoSisHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 166
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {MoFaFaMoFa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 167
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {MoFaFaMoMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 168
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoFaFaFaBroWi}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 169
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {MoFaFaFaSisHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 170
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {MoFaFaFaFa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 171
%tapu:0, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {MoFaFaFaMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 172
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaMoBroWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 173
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaMoSisHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 174
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {FaMoFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), spouse(Alter, C).
;; 175
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {FaMoMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), spouse(Alter, C).
;; 176
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoMoBroWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 177
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoMoSisHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 178
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoMoFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 179
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoMoMo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 180
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaMoMoMoBroWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 181
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaMoMoMoSisHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 182
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {FaMoMoMoFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 183
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {FaMoMoMoMo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 184
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaMoMoFaBroWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 185
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaMoMoFaSisHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 186
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {FaMoMoFaFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 187
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {FaMoMoFaMo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 188
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoFaBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 189
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoFaSisHu}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 190
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoFaFa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 191
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoFaMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 192
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaMoFaMoBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 193
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaMoFaMoSisHu}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 194
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {FaMoFaMoFa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 195
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {FaMoFaMoMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 196
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaMoFaFaBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 197
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaMoFaFaSisHu}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 198
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {FaMoFaFaFa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 199
%tapu:0, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {FaMoFaFaMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 200
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaBroWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 201
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaSisHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 202
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=3,  PC=3, S=1, Star=0,  {FaFaFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), spouse(Alter, C).
;; 203
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=3,  PC=3, S=1, Star=0,  {FaFaMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), spouse(Alter, C).
;; 204
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaMoBroWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 205
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaMoSisHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 206
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaMoFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 207
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaMoMo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 208
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaFaMoMoBroWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 209
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaFaMoMoSisHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 210
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {FaFaMoMoFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 211
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {FaFaMoMoMo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 212
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaFaMoFaBroWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 213
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaFaMoFaSisHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 214
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {FaFaMoFaFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 215
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {FaFaMoFaMo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 216
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaFaBroWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 217
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaFaSisHu}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 218
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaFaFa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 219
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaFaMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 220
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaFaFaMoBroWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 221
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaFaFaMoSisHu}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 222
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {FaFaFaMoFa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 223
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {FaFaFaMoMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 224
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaFaFaFaBroWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 225
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=4,  PC=8, S=1, Star=0,  {FaFaFaFaSisHu}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 226
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=5,  PC=5, S=1, Star=0,  {FaFaFaFaFa}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 227
%tapu:0, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=5,  PC=5, S=1, Star=0,  {FaFaFaFaMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 228
%tapu:1, tapu[aux]53:0, parents:0, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaSo}  
 mother(A, Alter), mother(Ego, A), male(Alter).
;; 229
%tapu:1, tapu[aux]53:0, parents:0, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaSo}  
 mother(A, Alter), father(Ego, A), male(Alter).
;; 230
%tapu:1, tapu[aux]53:0, parents:1, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoSo}  
 father(A, Alter), mother(Ego, A), male(Alter).
;; 231
%tapu:1, tapu[aux]53:0, parents:1, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoSo}  
 father(A, Alter), father(Ego, A), male(Alter).
;; 232
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 233
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 234
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(Ego, B), male(Alter).
;; 235
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(Ego, B), male(Alter).
;; 236
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 237
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 238
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(Ego, C), male(Alter).
;; 239
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(Ego, C), male(Alter).
;; 240
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 241
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 242
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(Ego, D), male(Alter).
;; 243
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(Ego, D), male(Alter).
;; 244
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 245
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 246
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(Ego, D), male(Alter).
;; 247
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), father(Ego, D), male(Alter).
;; 248
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 249
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 250
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(Ego, C), male(Alter).
;; 251
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(Ego, C), male(Alter).
;; 252
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 253
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 254
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(Ego, D), male(Alter).
;; 255
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(Ego, D), male(Alter).
;; 256
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 257
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 258
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(Ego, D), male(Alter).
;; 259
%tapu:1, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), father(Ego, D), male(Alter).
;; 260
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 261
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 262
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(Ego, B), male(Alter).
;; 263
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(Ego, B), male(Alter).
;; 264
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 265
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 266
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(Ego, C), male(Alter).
;; 267
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(Ego, C), male(Alter).
;; 268
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 269
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 270
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(Ego, D), male(Alter).
;; 271
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(Ego, D), male(Alter).
;; 272
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 273
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 274
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(Ego, D), male(Alter).
;; 275
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), father(Ego, D), male(Alter).
;; 276
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 277
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 278
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(Ego, C), male(Alter).
;; 279
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(Ego, C), male(Alter).
;; 280
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 281
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 282
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(Ego, D), male(Alter).
;; 283
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(Ego, D), male(Alter).
;; 284
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 285
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 286
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(Ego, D), male(Alter).
;; 287
%tapu:1, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), father(Ego, D), male(Alter).
;; 288
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 289
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 290
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(Ego, B), male(Alter).
;; 291
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(Ego, B), male(Alter).
;; 292
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 293
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 294
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(Ego, C), male(Alter).
;; 295
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(Ego, C), male(Alter).
;; 296
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 297
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 298
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(Ego, D), male(Alter).
;; 299
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(Ego, D), male(Alter).
;; 300
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 301
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 302
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(Ego, D), male(Alter).
;; 303
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), father(Ego, D), male(Alter).
;; 304
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 305
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 306
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(Ego, C), male(Alter).
;; 307
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(Ego, C), male(Alter).
;; 308
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 309
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 310
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(Ego, D), male(Alter).
;; 311
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(Ego, D), male(Alter).
;; 312
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 313
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 314
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(Ego, D), male(Alter).
;; 315
%tapu:1, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), father(Ego, D), male(Alter).
;; 316
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 317
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 318
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(Ego, B), male(Alter).
;; 319
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), father(Ego, B), male(Alter).
;; 320
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 321
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 322
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(Ego, C), male(Alter).
;; 323
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(Ego, C), male(Alter).
;; 324
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 325
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 326
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(Ego, D), male(Alter).
;; 327
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(Ego, D), male(Alter).
;; 328
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 329
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 330
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(Ego, D), male(Alter).
;; 331
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), father(Ego, D), male(Alter).
;; 332
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 333
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 334
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(Ego, C), male(Alter).
;; 335
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(Ego, C), male(Alter).
;; 336
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 337
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 338
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(Ego, D), male(Alter).
;; 339
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(Ego, D), male(Alter).
;; 340
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 341
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 342
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(Ego, D), male(Alter).
;; 343
%tapu:1, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), father(Ego, D), male(Alter).
;; 344
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Ego, E), male(Alter).
;; 345
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Ego, E), male(Alter).
;; 346
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), spouse(Ego, C), male(Alter).
;; 347
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), spouse(Ego, C), male(Alter).
;; 348
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), male(Alter).
;; 349
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), male(Alter).
;; 350
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), spouse(Ego, D), male(Alter).
;; 351
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), spouse(Ego, D), male(Alter).
;; 352
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 353
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 354
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 355
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 356
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 357
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 358
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 359
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 360
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), male(Alter).
;; 361
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), male(Alter).
;; 362
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), spouse(Ego, D), male(Alter).
;; 363
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), spouse(Ego, D), male(Alter).
;; 364
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 365
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 366
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 367
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 368
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 369
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 370
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 371
%tapu:1, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 372
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Ego, E), male(Alter).
;; 373
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Ego, E), male(Alter).
;; 374
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), spouse(Ego, C), male(Alter).
;; 375
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), spouse(Ego, C), male(Alter).
;; 376
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), male(Alter).
;; 377
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), male(Alter).
;; 378
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), spouse(Ego, D), male(Alter).
;; 379
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), spouse(Ego, D), male(Alter).
;; 380
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 381
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 382
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 383
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 384
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 385
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 386
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 387
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 388
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), male(Alter).
;; 389
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), male(Alter).
;; 390
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), spouse(Ego, D), male(Alter).
;; 391
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), spouse(Ego, D), male(Alter).
;; 392
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 393
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 394
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 395
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 396
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 397
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 398
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 399
%tapu:1, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 400
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Ego, E), male(Alter).
;; 401
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Ego, E), male(Alter).
;; 402
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), spouse(Ego, C), male(Alter).
;; 403
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), spouse(Ego, C), male(Alter).
;; 404
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), male(Alter).
;; 405
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), male(Alter).
;; 406
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), spouse(Ego, D), male(Alter).
;; 407
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), spouse(Ego, D), male(Alter).
;; 408
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 409
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 410
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 411
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 412
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 413
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 414
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 415
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 416
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), male(Alter).
;; 417
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), male(Alter).
;; 418
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), spouse(Ego, D), male(Alter).
;; 419
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), spouse(Ego, D), male(Alter).
;; 420
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 421
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 422
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 423
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 424
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 425
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 426
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 427
%tapu:1, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 428
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Ego, E), male(Alter).
;; 429
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Ego, E), male(Alter).
;; 430
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), spouse(Ego, C), male(Alter).
;; 431
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), spouse(Ego, C), male(Alter).
;; 432
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), male(Alter).
;; 433
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), male(Alter).
;; 434
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), spouse(Ego, D), male(Alter).
;; 435
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), spouse(Ego, D), male(Alter).
;; 436
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 437
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 438
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 439
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 440
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 441
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 442
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 443
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 444
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), male(Alter).
;; 445
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), male(Alter).
;; 446
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), spouse(Ego, D), male(Alter).
;; 447
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), spouse(Ego, D), male(Alter).
;; 448
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 449
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 450
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 451
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 452
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), male(Alter).
;; 453
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), male(Alter).
;; 454
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), spouse(Ego, E), male(Alter).
;; 455
%tapu:1, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), father(E, D), spouse(Ego, E), male(Alter).
;; 456
%tapu:2, tapu[aux]53:0, parents:0, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaDa}  
 mother(A, Alter), mother(Ego, A), female(Alter).
;; 457
%tapu:2, tapu[aux]53:0, parents:0, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaDa}  
 mother(A, Alter), father(Ego, A), female(Alter).
;; 458
%tapu:2, tapu[aux]53:0, parents:1, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoDa}  
 father(A, Alter), mother(Ego, A), female(Alter).
;; 459
%tapu:2, tapu[aux]53:0, parents:1, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoDa}  
 father(A, Alter), father(Ego, A), female(Alter).
;; 460
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 461
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 462
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(Ego, B), female(Alter).
;; 463
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(Ego, B), female(Alter).
;; 464
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 465
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 466
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(Ego, C), female(Alter).
;; 467
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(Ego, C), female(Alter).
;; 468
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 469
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 470
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(Ego, D), female(Alter).
;; 471
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(Ego, D), female(Alter).
;; 472
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 473
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 474
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(Ego, D), female(Alter).
;; 475
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), father(Ego, D), female(Alter).
;; 476
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 477
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 478
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(Ego, C), female(Alter).
;; 479
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(Ego, C), female(Alter).
;; 480
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 481
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 482
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(Ego, D), female(Alter).
;; 483
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(Ego, D), female(Alter).
;; 484
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 485
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 486
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(Ego, D), female(Alter).
;; 487
%tapu:2, tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), father(Ego, D), female(Alter).
;; 488
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 489
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 490
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(Ego, B), female(Alter).
;; 491
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(Ego, B), female(Alter).
;; 492
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 493
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 494
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(Ego, C), female(Alter).
;; 495
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(Ego, C), female(Alter).
;; 496
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 497
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 498
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(Ego, D), female(Alter).
;; 499
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(Ego, D), female(Alter).
;; 500
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 501
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 502
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(Ego, D), female(Alter).
;; 503
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), father(Ego, D), female(Alter).
;; 504
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 505
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 506
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(Ego, C), female(Alter).
;; 507
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(Ego, C), female(Alter).
;; 508
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 509
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 510
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(Ego, D), female(Alter).
;; 511
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(Ego, D), female(Alter).
;; 512
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 513
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 514
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(Ego, D), female(Alter).
;; 515
%tapu:2, tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), father(Ego, D), female(Alter).
;; 516
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 517
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 518
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(Ego, B), female(Alter).
;; 519
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(Ego, B), female(Alter).
;; 520
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 521
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 522
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(Ego, C), female(Alter).
;; 523
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(Ego, C), female(Alter).
;; 524
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 525
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 526
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(Ego, D), female(Alter).
;; 527
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(Ego, D), female(Alter).
;; 528
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 529
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 530
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(Ego, D), female(Alter).
;; 531
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), father(Ego, D), female(Alter).
;; 532
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 533
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 534
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(Ego, C), female(Alter).
;; 535
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(Ego, C), female(Alter).
;; 536
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 537
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 538
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(Ego, D), female(Alter).
;; 539
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(Ego, D), female(Alter).
;; 540
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 541
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 542
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(Ego, D), female(Alter).
;; 543
%tapu:2, tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), father(Ego, D), female(Alter).
;; 544
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 545
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 546
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(Ego, B), female(Alter).
;; 547
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), father(Ego, B), female(Alter).
;; 548
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 549
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 550
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(Ego, C), female(Alter).
;; 551
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(Ego, C), female(Alter).
;; 552
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 553
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 554
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(Ego, D), female(Alter).
;; 555
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(Ego, D), female(Alter).
;; 556
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 557
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 558
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(Ego, D), female(Alter).
;; 559
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), father(Ego, D), female(Alter).
;; 560
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 561
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 562
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(Ego, C), female(Alter).
;; 563
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(Ego, C), female(Alter).
;; 564
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 565
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {SisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 566
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(Ego, D), female(Alter).
;; 567
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {DaSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(Ego, D), female(Alter).
;; 568
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 569
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=0, Star=0,  {BroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 570
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(Ego, D), female(Alter).
;; 571
%tapu:2, tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=0, Star=0,  {SoSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), father(Ego, D), female(Alter).
;; 572
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Ego, E), female(Alter).
;; 573
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Ego, E), female(Alter).
;; 574
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), spouse(Ego, C), female(Alter).
;; 575
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), spouse(Ego, C), female(Alter).
;; 576
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), female(Alter).
;; 577
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), female(Alter).
;; 578
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), spouse(Ego, D), female(Alter).
;; 579
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), spouse(Ego, D), female(Alter).
;; 580
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 581
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 582
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 583
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 584
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 585
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 586
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 587
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 588
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), female(Alter).
;; 589
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), female(Alter).
;; 590
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), spouse(Ego, D), female(Alter).
;; 591
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), spouse(Ego, D), female(Alter).
;; 592
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 593
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 594
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 595
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 596
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 597
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 598
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 599
%tapu:2, tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 600
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Ego, E), female(Alter).
;; 601
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Ego, E), female(Alter).
;; 602
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), spouse(Ego, C), female(Alter).
;; 603
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), spouse(Ego, C), female(Alter).
;; 604
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), female(Alter).
;; 605
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), female(Alter).
;; 606
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), spouse(Ego, D), female(Alter).
;; 607
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), spouse(Ego, D), female(Alter).
;; 608
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 609
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 610
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 611
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 612
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 613
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 614
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 615
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 616
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), female(Alter).
;; 617
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), female(Alter).
;; 618
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), spouse(Ego, D), female(Alter).
;; 619
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), spouse(Ego, D), female(Alter).
;; 620
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 621
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 622
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 623
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 624
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 625
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 626
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 627
%tapu:2, tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 628
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Ego, E), female(Alter).
;; 629
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Ego, E), female(Alter).
;; 630
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), spouse(Ego, C), female(Alter).
;; 631
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), spouse(Ego, C), female(Alter).
;; 632
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), female(Alter).
;; 633
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), female(Alter).
;; 634
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), spouse(Ego, D), female(Alter).
;; 635
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), spouse(Ego, D), female(Alter).
;; 636
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 637
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 638
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 639
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 640
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 641
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 642
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 643
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 644
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), female(Alter).
;; 645
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), female(Alter).
;; 646
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), spouse(Ego, D), female(Alter).
;; 647
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), spouse(Ego, D), female(Alter).
;; 648
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 649
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 650
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 651
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 652
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 653
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 654
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 655
%tapu:2, tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 656
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Ego, E), female(Alter).
;; 657
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Ego, E), female(Alter).
;; 658
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), spouse(Ego, C), female(Alter).
;; 659
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), spouse(Ego, C), female(Alter).
;; 660
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), female(Alter).
;; 661
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), female(Alter).
;; 662
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), spouse(Ego, D), female(Alter).
;; 663
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), spouse(Ego, D), female(Alter).
;; 664
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 665
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 666
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 667
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 668
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 669
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 670
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 671
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 672
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Ego, F), female(Alter).
;; 673
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Ego, F), female(Alter).
;; 674
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), spouse(Ego, D), female(Alter).
;; 675
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), spouse(Ego, D), female(Alter).
;; 676
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuSisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 677
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiSisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 678
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 679
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {DaSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, D), spouse(Ego, E), female(Alter).
;; 680
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {HuBroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Ego, G), female(Alter).
;; 681
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=-4,  PC=8, S=1, Star=0,  {WiBroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Ego, G), female(Alter).
;; 682
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), spouse(Ego, E), female(Alter).
;; 683
%tapu:2, tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=-5,  PC=5, S=1, Star=0,  {SoSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), father(E, D), spouse(Ego, E), female(Alter).


tapu[aux]53(Alter, Ego) :-  parents(A, Ego), parents(Alter, A).
                        |  [ext],  parents(A, Ego), parents(B, A), square[aux]53smallGS(Alter, B).
                        |  [ext],  parents(A, Ego), parents(B, A), square[aux]53smallGS(C, B), spouse(Alter, C).
;; 0
%tapu[aux]53:0, parents:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(Alter, A).
;; 1
%tapu[aux]53:0, parents:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(Alter, A).
;; 2
%tapu[aux]53:0, parents:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(Alter, A).
;; 3
%tapu[aux]53:0, parents:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(Alter, A).
;; 4
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 5
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 6
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(Alter, B).
;; 7
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(Alter, B).
;; 8
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 9
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 10
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 11
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 12
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 13
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 14
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 15
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 16
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 17
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 18
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 19
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 20
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 21
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 22
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 23
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 24
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 25
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 26
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 27
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 28
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 29
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 30
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 31
%tapu[aux]53:1, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), father(Alter, D).
;; 32
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 33
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 34
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(Alter, B).
;; 35
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(Alter, B).
;; 36
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 37
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 38
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 39
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 40
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 41
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 42
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 43
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 44
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 45
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 46
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 47
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 48
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 49
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 50
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 51
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 52
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 53
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 54
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 55
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 56
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 57
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 58
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 59
%tapu[aux]53:1, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), father(Alter, D).
;; 60
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 61
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 62
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(Alter, B).
;; 63
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(Alter, B).
;; 64
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 65
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 66
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(Alter, C).
;; 67
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(Alter, C).
;; 68
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 69
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 70
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 71
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 72
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 73
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 74
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 75
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 76
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 77
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 78
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(Alter, C).
;; 79
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(Alter, C).
;; 80
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 81
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 82
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 83
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 84
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 85
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 86
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 87
%tapu[aux]53:1, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), father(Alter, D).
;; 88
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 89
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 90
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(Alter, B).
;; 91
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(Alter, B).
;; 92
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 93
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 94
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(Alter, C).
;; 95
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(Alter, C).
;; 96
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 97
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 98
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(Alter, D).
;; 99
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(Alter, D).
;; 100
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 101
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 102
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(Alter, D).
;; 103
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), father(Alter, D).
;; 104
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 105
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 106
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(Alter, C).
;; 107
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(Alter, C).
;; 108
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 109
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 110
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(Alter, D).
;; 111
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(Alter, D).
;; 112
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 113
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 114
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(Alter, D).
;; 115
%tapu[aux]53:1, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), father(Alter, D).
;; 116
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 117
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 118
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), spouse(Alter, C).
;; 119
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), spouse(Alter, C).
;; 120
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 121
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 122
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 123
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 124
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 125
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 126
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 127
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 128
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 129
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 130
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 131
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 132
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 133
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 134
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 135
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 136
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 137
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 138
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 139
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 140
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 141
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 142
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 143
%tapu[aux]53:2, parents:0, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 144
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 145
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 146
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), spouse(Alter, C).
;; 147
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), spouse(Alter, C).
;; 148
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 149
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 150
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 151
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 152
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 153
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 154
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 155
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 156
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 157
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 158
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 159
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 160
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 161
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 162
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 163
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 164
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 165
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 166
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 167
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 168
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 169
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 170
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 171
%tapu[aux]53:2, parents:0, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 172
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 173
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 174
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), spouse(Alter, C).
;; 175
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), spouse(Alter, C).
;; 176
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 177
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 178
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 179
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 180
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 181
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 182
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 183
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 184
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 185
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 186
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 187
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 188
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 189
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 190
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 191
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 192
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 193
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 194
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 195
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 196
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 197
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 198
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 199
%tapu[aux]53:2, parents:1, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 200
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), spouse(Alter, E).
;; 201
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), spouse(Alter, E).
;; 202
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), spouse(Alter, C).
;; 203
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), spouse(Alter, C).
;; 204
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 205
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 206
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), spouse(Alter, D).
;; 207
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), spouse(Alter, D).
;; 208
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 209
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 210
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 211
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 212
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 213
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 214
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 215
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), father(E, D), spouse(Alter, E).
;; 216
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), spouse(Alter, F).
;; 217
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), spouse(Alter, F).
;; 218
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), spouse(Alter, D).
;; 219
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), spouse(Alter, D).
;; 220
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 221
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 222
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), spouse(Alter, E).
;; 223
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:0, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, D), spouse(Alter, E).
;; 224
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), spouse(Alter, G).
;; 225
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), spouse(Alter, G).
;; 226
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), spouse(Alter, E).
;; 227
%tapu[aux]53:2, parents:1, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:2, parents:1, square[aux]53smallGS:1, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), father(E, D), spouse(Alter, E).


vinie(Alter, Ego) :-  wife(Alter, Ego).
{"Wi"}
;; 0
%vinie:0%
 Lvl=0,  PC=0, S=1, Star=0,  {Wi}  
 wife(Alter, Ego).

